<?php

class DBFunciones
{
	function selectDB($host, $user, $pass, $bd){
		$result = array();
		$result["MSG"] = "BASE PROCESS NULL";
		$result["status"] = false;
		$result["mysqli"] = $C = mysqli_connect( $host, $user, $pass); 
		if($C)
		{
			$DB = mysqli_select_db($C,$bd);
			if($DB)
			{
				$result["status"] = true;
				$result["MSG"] = "Conexion Exitosa";
			}else{ $result["MSG"] = "Error de Conexion con la Base de datos => ".mysqli_error($C); }
		}else{ $result["MSG"] = "Error de Conexion con el Servidor => ".mysqli_error($C); }
		return $result;
	}//F-selectDB*/
	/* select; Realiza una consultas de tipo select, recibe los parametros:
	* $query = Es el query a ejecutar desde un select o inner join
	* $free = Este parametro indica si es necesario liberar la memoria de la consulta, por si la consulta es de grandes propociones
	*/
	function select($link, $query, $free = false)
	{
		$result = array();
		$select = mysqli_query($link, $query);
		if($select)
		{
			$results = array();
			$result["query_status"] = true;
			$result["result_rows"] = mysqli_num_rows($select);
			while($presults = mysqli_fetch_array($select))
			{
				array_push($results,$presults);
			}
			$result["result"] = $results;
			if($free == true)
			{
				mysqli_free_result($select);
			}
		}
		else
		{
			echo("Error de Consulta<br><span style='color:red'>".mysqli_error($link)."</span>");
			$result["query_status"] = false;
			$result["result_rows"] = 0;
			$result["result"] = "NO QUERY DATA";
		}
		return $result;
	}//F-select
	
	/* selectFields; Crea la consulta para los campos de una tabla, o crea un INNER JOIN con las tablas que se proporcionan, recibe los parametros:
	* $Fields = Dentro de un array, Se colocan los campos ya sea uno o varios, si son ambiguos se coloca "Tabla.campo"
	* $Tables = Dentro de un array, Se colocan las tables ya se una o varios, si son varias se crea el INNER JOIN
	* $Conditions = Dentro de un array, Se colocan las condiciones de la busqueda.
	* $Distinct = "true" para utilizar, "false" para no usar, se puede omitir, pero si se omite no se puede usar parametros siguientes
	* $Order = Para usar colocar "DESC field_name" o "ASC field_name", "NULL" para no usar, se puede omitir, si se omite se omiten sig parametros
	* $free = Este parametro indica si es necesario liberar la memoria de la consulta, por si la consulta es de grandes propociones
	*/
	function selectFields( $Fields, $Tables, $Conditions, $Distinct = false, $Order = NULL, $free = false )
	{
		$result = array();
		$result["query"] = ("SELECT ".(($Distinct)? " DISTINCT " : ""));
		
		$result["query"] .= $this->concatSQLItems($Fields , "", 
													array("prev"=>"","after"=>""), 
													array("prev"=>"","after"=>", "), 
													array("prev"=>"","after"=>""));
													
		$result["query"] .= $this->concatSQLItems($Tables , " FROM ", 
													array("prev"=>"","after"=>""), 
													array("prev"=>"","after"=>" INNER JOIN "), 
													array("prev"=>"","after"=>""));
													
		$result["query"] .= $this->concatSQLItems($Conditions , " WHERE ", 
													array("prev"=>"( ","after"=>" ) "), 
													array("prev"=>"( ","after"=>" ) AND "), 
													array("prev"=>"( ","after"=>" )"));
		
		$result["query"] .= (($Order != NULL)? " ORDER BY ".$Order :"").";";
		
		//Se hace la consulta con el query armado
		//$Execute = $this->select($result["query"], $free);
		//Se obtienen los valores de la consulta
		
		/*$result["result_rows"] = $Execute["result_rows"];
		$result["query_status"] = $Execute["query_status"];
		$result["result"] = $Execute["result"];*/
		
		return $result["query"];
	}//F-SelectFields
		
	/* insert(); Realiza la insercion de un registro, recibe los parametros.
	* $fieldsV = Dentro de un array, Los nombres de los campos de la tabla a insertar, no debe estar vacios.
	* $Values = Dentro de un array, Los valores a insertar, deben coincidir con los campos de la tabla que se declararon en el parametro $fieldsV.
	* $Table = Nombre de la tabla donde se insertara los valores.
	* $free = Este parametro indica si es necesario liberar la memoria de la consulta, por si la consulta es de grandes propociones.
	*/
	function insert($fieldsV, $Values, $Table, $free = false)
	{
		$result = array();
		$result["query"] = "INSERT INTO ".$Table;
		$result["query"] .= " ( ".$this->concatSQLItems($fieldsV, " ", 
													array("prev"=>"","after"=>""),
													array("prev"=>"","after"=>", "),
													array("prev"=>"","after"=>""))." ) ";
		
		$result["query"] .= $this->concatSQLItems($Values, " VALUES (", 
													array("prev"=>"'","after"=>"'"),
													array("prev"=>"'","after"=>"', "),
													array("prev"=>"'","after"=>""))."' ); ";
		
		try
		{
			$Insert = mysqli_query($result["query"]);
		}catch(Exception $e){}
		
		if($Insert)
		{
			$result["affected_rows"] = mysqli_affected_rows();
			$result["query_status"] = true;
			if($free == true){ mysqli_free_result($Insert); }
		}
		else
		{
			echo("Error de Insercion<br><span style='color:red'>".mysqli_error()."</span>");
			$result["query_status"] = false;
			$result["affected_rows"] = 0;
			$result["result"] = "NO INSERT DATA";
		}
		
		return $result;
	}//F-Insert
	
	/* update; Realiza la modificacion de un registro de una tabla, recibe los parametros:
	* $Fields = Dentro de un array, Se colocan los campos a modificar
	* $Values = Dentro de un array, Se colocan los valores nuevos
	* $Table = Nombre de la tabla de los campos
	* $Conditions = Dentro de un array, Se colocan las condiciones de la busqueda y modificacion.
	* $free = Este parametro indica si es necesario liberar la memoria de la consulta, por si la consulta es de grandes propociones
	*/
	function update($Fields, $Values, $Table, $Conditions, $free = false)
	{
		$result = array();
		$result["query"] = "UPDATE ".$Table." SET ";
		
		$updates = array();
		foreach($Fields as $key => $value):
			$updates[$key] = $Fields[$key]." = '".$Values[$key]."'";
		endforeach;
		
		$result["query"] .= $this->concatSQLItems($updates, "", 
													array("prev"=>"","after"=>""),
													array("prev"=>"","after"=>", "),
													array("prev"=>"","after"=>""));
		
		$result["query"] .= $this->concatSQLItems($Conditions, " WHERE ", 
													array("prev"=>"( ","after"=>" ) "), 
													array("prev"=>"( ","after"=>" ) AND "), 
													array("prev"=>"( ","after"=>" )"));
		$result["query"] .= ";";
		
		try
		{
			$Update = mysqli_query($result["query"]);
		}catch(Exception $e){}
		
		if($Update)
		{
			$result["affected_rows"] = mysqli_affected_rows();
			$result["query_status"] = true;
			if($free == true){ mysqli_free_result($Update); }
		}
		else
		{
			echo("Error de Modificacion<br><span style='color:red'>".mysqli_error()."</span>");
			$result["query_status"] = false;
			$result["affected_rows"] = 0;
			$result["result"] = "NO UPDATE EXECUTION";
		}
		
		return $result;
	}//F-update
	
	/* delete(); Elimina un registro de una table en base a la(s) condicion(es), recibe los parametros:
	* $Table = Nombre de la tabla donde se eliminara el registro
	* $Conditions = Dentro de un array, se oolocan la(s) condicion(es) para la eliminacion de un registro
	* $free = Este parametro indica si es necesario liberar la memoria de la consulta, por si la consulta es de grandes propociones
	*/
	function delete($Table, $Conditions, $free = false)
	{
		$result = array();
		$result["query"] = "DELETE FROM ".$Table;
		
		$result["query"] .= $this->concatSQLItems($Conditions, " WHERE ", 
													array("prev"=>"( ","after"=>" ) "), 
													array("prev"=>"( ","after"=>" ) AND "), 
													array("prev"=>"( ","after"=>" )"));
		$result["query"] .= ";";
		
		try
		{
			$Delete = mysqli_query($result["query"]);
		}catch(Exception $e){}
		
		if($Delete)
		{
			$result["affected_rows"] = mysqli_affected_rows();
			$result["query_status"] = true;
			if($free == true){ mysqli_free_result($Delete); }
		}
		else
		{
			echo("Error de Eliminacion<br><span style='color:red'>".mysqli_error()."</span>");
			$result["query_status"] = false;
			$result["affected_rows"] = 0;
			$result["result"] = "NO DELETE EXECUTION";
		}
		
		return $result;
	}//F-delete
	
	/* query(); Para ejecutar un query de cualquier indole. 
	* El query ya debe de estar armado y listo para ejecutarse, de lo contrario devolvera un error, recibe los parametros
	* $query = El query armado listo para su ejecucion
	* $free = Este parametro indica si es necesario liberar la memoria de la consulta, por si la consulta es de grandes propociones.
	*/
	function query($link, $query, $free = false)
	{
		$result = array();
		$Query = NULL;
		try
		{
			$Query = mysqli_query($link, $query);
		}catch(Exception $e){}
		
		if($Query)
		{
			$result["affected_rows"] = mysqli_affected_rows($link);
			$result["result_rows"] = mysqli_num_rows($Query);
			$result["query_status"] = true;
			$result["result"] = $Query;
			if($free == true){ mysqli_free_result($Insert); }
		}
		else
		{
			echo("Error de Ejecucion<br><span style='color:red'>".mysqli_error($link)."</span>");
			$result["query_status"] = false;
			$result["affected_rows"] = 0;
			$result["result_rows"] = 0;
			$result["result"] = "NO QUERY EXECUTION";
		}
		return $result;
	}
	
	/* concatSQLItems;
	* Se usa para crear la estructura de las consultas, resume espacio del proceso para las consultas armadas
	*/
	function concatSQLItems($Items, $initialText, $nItemsText1, $nItemsText2, $nItemsText3 )
	{
		$concatSQL = "";
		$nItems = count($Items);
		$concatSQL .= $initialText;
		if($nItems == 1)
		{
			$concatSQL .= $nItemsText1["prev"].$Items[0].$nItemsText1["after"];
		}
		else if($nItems > 1)
		{
			foreach($Items as $key => $value):
				if($key < ($nItems-1))
				{
					$concatSQL .= $nItemsText2["prev"].$value.$nItemsText2["after"];
				}
				else if($key == ($nItems-1))
				{
					$concatSQL .= $nItemsText3["prev"].$value.$nItemsText3["after"];
				}
			endforeach;
		}//Proceso para las condiciones
		return $concatSQL;
	}
	
	function result($msg, $alert, $color = "black")
	{
		if($alert == true)
		{
			echo('<span style="color:'.$color.'; font-weight:bold;" >'.$msg.'</span><br/>');
		}
	}//F result
	
}//Clase

?>