<?php

vc_map( array(
    'name' => __( 'Ventcamp Schedule', 'ventcamp' ),
    'base' => 'vc_schedule',
    'icon' => 'icon-schedule',
    'category' => __( 'Ventcamp', 'ventcamp' ),
    'description' => __( 'Schedule tabbed block', 'ventcamp' ),
    'params' => array(
        array(
            'type' => 'textfield',
            'heading' => __( 'Extra class name', 'ventcamp' ),
            'param_name' => 'el_class',
            'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'ventcamp' )
        )
    )
) );


if (class_exists('acf')) {

	add_shortcode('vc_schedule', 'vc_schedule_render');
	function vc_schedule_render($atts, $content = null) {
		$el_class = '';


		extract(shortcode_atts(array(
			'el_class' => '',
		), $atts));

		$output = '<div class="schedule">';

		$vncp_event_type = get_field('vncp_event_type', 'option');

		/*
		if('one_day_no_threads' == $vncp_event_type){

			$timeline = get_field('vncp_one_day_schedule', 'option');

			$output .= vc_shedule_render_timeline($timeline);

		}else if('one_day_with_threads' == $vncp_event_type){

			$one_day_threads = get_field('vncp_day_with_threads_schedule', 'option');

			$output .= vc_shedule_render_threads($one_day_threads);

		}else */

		if('multi_day_with_threads' == $vncp_event_type){

			$multi_days_with_threads = get_field('vncp_md_w_thrds', 'option');

			$output .= vc_shedule_render_days_with_threads($multi_days_with_threads);

		}else if('multi_day_no_threads' == $vncp_event_type){

			$multi_day_no_threads = get_field('vncp_md_wo_thrds', 'option');

			$output .= vc_shedule_render_days_without_threads($multi_day_no_threads);

		}else if('' == $vncp_event_type){

			$multi_day_no_threads = get_field('vncp_md_wo_thrds', 'option');

			$output .= 'No schedule found, please add or import one';

		}


		$output .= '</div>';

		return $output;
	}
}

function vc_shedule_render_days_with_threads($days){
    $output = "";

    $d = 1;

    $output .= '<ul class="nav nav-schedule' . (count($days) == 1 ? ' one-child-nav':'') .'">';
    foreach ($days as $day) {
        $output .= '<li' . ($d == 1 ? ' class="active"' : '') . '><a href="#day'. $d .'" data-toggle="tab"><h4 class="highlight">'.$day['title'].'</h4><p class="text-alt">'.$day['date'].'</p></a></li>';
        $d++;
    }
    $output .= '</ul>';

    $d = 1;

    $output .= '<div class="tab-content">';
    foreach ($days as $day) {
        $output .= '<div id="day'.$d.'" class="tab-pane fade'.($d==1?' active':'').' in">';

        $output .= vc_shedule_render_threads($day['threads'], 'day'.$d);

        $output .= '</div>';
        $d++;
    }
    $output .= '</div>';

    return $output;
}

function vc_shedule_render_days_without_threads($days){
    $output = "";

    $d = 1;

    $output .= '<ul class="nav nav-schedule' . (count($days) == 1 ? ' one-child-nav':'') .'">';
    foreach ($days as $day) {
        $output .= '<li' . ($d == 1 ? ' class="active"' : '') . '><a href="#day'. $d .'" data-toggle="tab"><h5 class="highlight">'.$day['title'].'</h5><p class="text-alt">'.$day['date'].'</p></a></li>';
        $d++;
    }
    $output .= '</ul>';

    $d = 1;

    $output .= '<div class="tab-content">';
    $output .= '<div class="tab-content tab-content-schedule">';
    foreach ($days as $day) {
        $output .= '<div id="day'.$d.'" class="tab-pane fade'.($d==1?' active':'').' in">';

        $output .= vc_shedule_render_timeline($day['lections'], 'day'.$d);

        $output .= '</div>';
        $d++;
    }
    $output .= '</div>';
    $output .= '</div>';

    return $output;
}

function vc_shedule_render_threads($threads, $parent_id = 'noday'){
    $output = "";

    $a = 1;

    $output .= '<ul class="nav nav-schedule' . (count($threads) == 1 ? ' one-child-nav':'') .'">';
    foreach ($threads as $thread) {
        $output .= '<li class="' . ($a == 1 ? 'active':'') .'"><a href="#' . $parent_id . '_auditorium' . $a . '" data-toggle="tab">' . $thread['title'] . '</a></li>';

        $a++;
    }
    $output .= '</ul>';

    $output .= '<div class="tab-content tab-content-schedule">';
    $a = 1;
    foreach ($threads as $thread) {
        $output .= '<div id="' . $parent_id . '_auditorium' . $a . '" class="tab-pane fade ' . ($a == 1 ? 'active' : '') . ' in">';
        $output .= '<div class="panel-group" id="'. $parent_id .'_auditorium' . $a . '_timeline">';
        $output .= vc_shedule_render_timeline($thread['lections'], $parent_id .'_auditorium' . $a . '_timeline');
        $output .= '</div>';
        $output .= '</div>';
        $a++;
    }
    $output .= '</div>';

    return $output;
}

function vc_shedule_render_timeline($timeline, $parent_id = 'noparent'){
    $output = "";

    $t = 1;
    if(!$timeline){
        return '<div class="schedule-item">' . __('No schedule yet.', 'ventcamp') . '</div>';
    }
    foreach ($timeline as $item) {
        $output .= '<div class="panel schedule-item">';

        if($item['icon']){
            $output .= '<div class="lecture-icon-wrapper" style="background-image: url(\'' . $item['icon']['sizes']['thumbnail'] . '\')">';
        } else {
            $output .= '<div class="lecture-icon-wrapper no_icon">';
        }

        $output .= '</div>';
        $output .= '<a data-toggle="collapse" data-parent="#' . $parent_id . '" href="#' . $parent_id . '_time' . $t . '" class="schedule-item-toggle'. ($t == 1 ? '':' collapsed') .'">';
        $output .= '<strong class="time highlight"><span class="icon icon-office-24"></span>' . $item['time'] . '</strong>';
        $output .= '<h6 class="title">' . $item['title'] . '<i class="icon icon-arrows-06"></i></h6>';
        $output .= '</a>';
        $output .= '<div id="' . $parent_id . '_time' . $t . '" class="panel-collapse collapse'. ($t != 1 ? '':' in') .' schedule-item-body">';
        $output .= '<article>';
        $output .= '<p class="description">' . $item['description'] . '</p>';
        $output .= '<strong class="highlight speaker-name">' . $item['lector'] . '</strong>';
        $output .= '</article>';
        $output .= '</div>';
        $output .= '</div>';

        $t++;
    }

    return $output;
}

