<?php
	$hero_section_css = '';
	$hero_classes = array();
	$yt_video_bg_attrs = '';

	if(ventcamp_option('hero_background_type') == 'color'){
		$hero_section_css = " background-color: " . ventcamp_option('hero_background_color') . "; ";

	}else if(ventcamp_option('hero_background_type') == 'image'){
		$hero_section_css = " background-image: url(" . ventcamp_option('hero_background_image') . "); ";

	}else if(ventcamp_option('hero_background_type') == 'video'){
		$hero_section_css = "";
		$background_video_url = ventcamp_option('hero_background_video');
		$background_video_settings = ventcamp_option('hero_background_video_settings');
		$background_video_controls = ventcamp_option('hero_background_video_controls');

		// Youtube params
		//----------------------------------------------------------
		if ( $background_video_url != '' ){
			wp_enqueue_script( 'youtube-video-bg', get_template_directory_uri().'/js/lib/jquery.mb.YTPlayer.min.js', array('jquery'), false, true );
			$hero_classes[] = 'ytpb-row';

			if (in_array('controls', $background_video_settings)){
				wp_enqueue_script( 'ui-slider', get_template_directory_uri().'/js/lib/jquery-ui-slider.min.js', array('jquery'), false, true);

			}else {
				$background_video_controls = 'none';

			}

			if (in_array('autoplay', $background_video_settings)){
				$video_autoplay = 'true';

			}else {
				$video_autoplay = 'false';

			}

			if (in_array('mute', $background_video_settings)){
				$video_mute = 'true';

			}else {
				$video_mute = 'false';

			}

			$video_bg_attr  = ' data-property="{videoURL: \'' . $background_video_url . '\', containment: \'#hero\',';
			$video_bg_attr .= ' autoPlay:' . $video_autoplay . ', realfullscreen: true, stopMovieOnBlur: false,';
			$video_bg_attr .= ' addRaster: true, showControls: false, mute:' . $video_mute . ',';
			$video_bg_attr .= ' startAt:0, opacity:1, gaTrack: false}"';

			$video_url_attr = ' data-video-url="' . $background_video_url . '" ';

			$video_controls_attrs = ' data-controls="' . $background_video_controls . '" data-autoplay="' . $video_autoplay . '"';
			$video_controls_attrs .= ' data-mute="' . $video_mute . '"';

			$yt_video_bg_attrs = $video_url_attr . $video_bg_attr . $video_controls_attrs;
		}
	}

	if(ventcamp_option('hero_fullheight')){
		$hero_classes[] = 'window-height';
	}

	if (ventcamp_option('hero_verticalcentring')) {
		$heading_classes[] = 'centered-block';
	}

	$overlay_type = ventcamp_option('hero_overlay_type');
	$overlay_color = ventcamp_option('hero_overlay_color');
	$overlay_gradient = ventcamp_option('hero_overlay_gradient');

	if( $overlay_type == 'color'){
		$overlay = '<div class="hero-overlay" style="background-color: ' . $overlay_color . ';"></div>';

	}else if( $overlay_type == 'gradient'){
		$overlay = '<div class="hero-overlay" style="' . $overlay_gradient . '"></div>';

	}else {
		$overlay = '';

	}
?>
<section id="hero" class="hero-section bg-cover light-text <?php echo esc_attr(implode(' ', $hero_classes)); ?>" style="<?php echo esc_attr($hero_section_css); ?>" <?php echo esc_attr($yt_video_bg_attrs); ?>>

	<?php echo esc_attr($overlay); ?>

	<?php if (ventcamp_option('hero_top_line_type') == 'social'): ?>
		<ul class="socials-nav">
			<?php foreach (ventcamp_option('hero_social') as $ventcamp_social_link): ?>
				<li class="socials-nav-item"><a href="<?php echo esc_url($ventcamp_social_link['url']); ?>" target="_blank"><span class="fa fa-<?php echo esc_attr($ventcamp_social_link['type']); ?>"></span></a></li>
			<?php endforeach;?>
		</ul>
	
	<?php elseif (ventcamp_option('hero_top_line_type') == 'text'): ?>
		<div class='top-line'><?php echo esc_html(ventcamp_option('hero_top_line_text')); ?></div>

	<?php endif; ?>

	<div class="heading-block align-center <?php echo esc_attr(implode(' ',$heading_classes)); ?>">
		<div class="container">
			<!--?php if(isset($_GET["debug"]) && $_GET["debug"] == "debug"){ ?-->
					<div style="width: 100%;">
						<a href="#"><img id="zaic-logo" style="width:250px; margin: 0px auto;" src="http://registrozaic.com/wp-content/uploads/2016/04/ZAIC2016-LOGO-RGB.png" /></a>
					</div>
					<!--?php } ?-->
				<span class="hero-heading-top">
					<?php if(ventcamp_option('hero_heading_upper_text_date')): ?>
					
					<span class="fa fa-calendar-o base-clr-txt"></span><?php echo esc_attr(ventcamp_option('hero_heading_upper_text_date')); ?>
					
					<?php endif; ?>
					
					<?php if(ventcamp_option('hero_heading_upper_text_location')): ?>
					
						<span class="fa fa-map-marker base-clr-txt" style="margin-left: 14px;"></span><?php echo esc_attr(ventcamp_option('hero_heading_upper_text_location')); ?>
					
					<?php endif; ?>
					
				</span>
				
			<h1 class="hero-heading-main"><?php if(ventcamp_option('hero_heading_type') == 'text'):?>
			
					<?php echo esc_html(ventcamp_option('hero_heading_text')); ?>
					
				<?php elseif(ventcamp_option('hero_heading_type') == 'image'):?>
				
					<img src="<?php echo esc_attr(ventcamp_option('hero_heading_image')); ?>" alt="">
					
				<?php endif; ?></h1>
				
			<?php if(ventcamp_option('hero_heading_lower_text')): ?>
			
			<span class="hero-heading-bottom"><?php echo esc_html(ventcamp_option('hero_heading_lower_text')); ?></span>
			
			<?php endif; ?>
			
			<?php if(intval(ventcamp_option('hero_buttons')) > 0):
				$btn_cls = intval(ventcamp_option('hero_buttons')) == 2 ? 'btn btn-md' : 'btn btn-lg';
			?>
			
			<div class="btns-container">
			
				<a style="border:2px solid;" href="<?php echo esc_url(ventcamp_option('hero_button_link')); ?>" class="<?php echo $btn_cls; ?>"><?php echo esc_html(ventcamp_option('hero_button_text')); ?></a>
				
				<?php if(intval(ventcamp_option('hero_buttons')) == 2): ?>
				
					<a style="width:200px; color:#FFF; border:2px solid #FFF;" href="<?php echo esc_url(ventcamp_option('hero_button_alt_link')); ?>" class="<?php echo $btn_cls; ?> btn-alt"><?php echo esc_html(ventcamp_option('hero_button_alt_text')); ?></a>
					
				<?php endif; ?>
			</div>
			<?php endif; ?>
		</div>
	</div>
</section>
