<?php
defined('ABSPATH') or die('No direct access');

require( get_template_directory() . '/includes/ventcamp_customizer_callbacks.php' );
require( get_template_directory() . '/includes/ventcamp_customizer_helpers.php' );

Kirki::add_config( 'ventcamp_theme_config', array(
    'capability'        => 'edit_theme_options',
    'option_type'       => 'option',
    'option_name'       => 'ventcamp_customizer',
) );

/* Customizer panels */

/* GENERAL SETTINGS */
Kirki::add_panel( 'theme_settings', array(
    'priority'          => 200,
    'title'             => esc_html__('+ General settings', 'ventcamp' ),
    'description'       => esc_html__( 'General site settings', 'ventcamp' ),
) );

/* LOGOTYPE */
Kirki::add_section( 'logotype', array(
    'title'             => esc_html__( 'Logotype', 'ventcamp' ),
    'description'       => esc_html__( 'Site logo', 'ventcamp' ),
    'panel'             => 'theme_settings',
    'priority'          => 10,
    'capability'        => 'edit_theme_options',
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'logotype_type',
    'label'             => esc_html__( 'Logo type', 'ventcamp' ),
    'section'           => 'logotype',
    'type'              => 'radio',
    'priority'          => 9,
    'default'           => 'image',
    'choices'           => array(
        'text'              => esc_html__( 'Text', 'ventcamp' ),
        'image'             => esc_html__( 'Image', 'ventcamp' ),
    ),
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'logotype_image',
    'label'             => esc_html__( 'Logo image', 'ventcamp' ),
    'description'       => esc_html__( 'Standart logo image', 'ventcamp' ),
    'section'           => 'logotype',
    'type'              => 'image',
    'priority'          => 10,
    'active_callback'   => 'ventcamp_logo_callback',
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'logotype_image_retina',
    'label'             => esc_html__( 'Retina logo image', 'ventcamp' ),
    'description'       => esc_html__( 'Retina logo image', 'ventcamp' ),
    'section'           => 'logotype',
    'type'              => 'image',
    'priority'          => 11,
    'active_callback'   => 'ventcamp_logo_callback',
    'default'           => ''
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'logotype_text',
    'type'              => 'text',
    'label'             => esc_html__( 'Logo text', 'ventcamp' ),
    'section'           => 'logotype',
    'default'           => esc_html__( 'VentCamp', 'ventcamp' ),
    'priority'          => 19,
    'active_callback'   => 'ventcamp_logo_callback',
    'less_var'          => false
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'typography',
    'settings'          => 'logotype_typography',
    'label'             => esc_html__( 'Logo typography', 'ventcamp' ),
    'section'           => 'logotype',
    'priority'          => 20,
    'default'           => array(
        'font-style'        => array( 'uppercase' ),
        'font-family'       => 'PT Sans Caption',
        'font-size'         => '30px',
        'font-weight'       => '700',
        'letter-spacing'    => '0'
    ),
    'choices'           => array(
        'font-style'        => true,
        'font-family'       => true,
        'font-size'         => true,
        'font-weight'       => true,
        'letter-spacing'    => true
    ),
    'active_callback'   => 'ventcamp_logo_callback',
    'transport'         => 'postMessage',
    'less'              => 'logotype_typography'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'logotype_color',
    'label'             => esc_html__( 'Logotype color', 'ventcamp' ),
    'section'           => 'logotype',
    'type'              => 'color',
    'default'           => '#fe4918',
    'priority'          => 25,
    'active_callback'   => 'ventcamp_logo_callback',
    'transport'         => 'postMessage',
    'less'              => 'logotype_color'
) );

// Kirki::add_field( 'ventcamp_theme_config', array(
//     'type'     => 'select',
//     'settings'  => 'logotype_font_family',
//     'label'    => esc_html__( 'Logo font', 'ventcamp' ),
//     'section'  => 'logotype',
//     'priority' => 20,
//     'choices'  => Kirki_Fonts::get_font_choices(),
//     'active_callback'  => 'ventcamp_logo_callback',
//     'less_var' => array('type' => 'font', 'group' => 'logotype')
// ) );

// Kirki::add_field( 'ventcamp_theme_config', array(
//     'type'     => 'slider',
//     'settings'  => 'logotype_font_weight',
//     'label'    => esc_html__( 'Logo font weight', 'ventcamp' ),
//     'section'  => 'logotype',
//     'default'  => 300,
//     'priority' => 24,
//     'choices'  => array(
//         'min'  => 100,
//         'max'  => 900,
//         'step' => 100,
//     ),
//     'active_callback'  => 'ventcamp_logo_callback'
// ) );

// Kirki::add_field( 'ventcamp_theme_config', array(
//     'type'     => 'slider',
//     'settings'  => 'logotype_font_size',
//     'label'    => esc_html__( 'Logo font size', 'ventcamp' ),
//     'section'  => 'logotype',
//     'default'  => 14,
//     'priority' => 25,
//     'choices'  => array(
//         'min'  => 7,
//         'max'  => 48,
//         'step' => 1,
//     ),
//     'active_callback'  => 'ventcamp_logo_callback'
// ) );

// Kirki::add_field( 'ventcamp_theme_config', array(
//     'type'     => 'slider',
//     'settings'  => 'logotype_font_letter_spacing',
//     'label'    => esc_html__( 'Logo letter spacing', 'ventcamp' ),
//     'section'  => 'logotype',
//     'default'  => 0,
//     'priority' => 25,
//     'choices'  => array(
//         'min'  => -2,
//         'max'  => 10,
//         'step' => 1,
//     ),
//     'active_callback'  => 'ventcamp_logo_callback'
// ) );

// Kirki::add_field( 'ventcamp_theme_config', array(
//     'settings' => 'logotype_font_style',
//     'label'    => esc_html__( 'Logo font style', 'ventcamp' ),
//     'section'  => 'logotype',
//     'type'     => 'buttoncheck',
//     'priority' => 26,
//     'default'  => '',
//     'choices'     => array(
//         'b' => esc_html__( '<b>B</b>', 'ventcamp' ),
//         'i' => esc_html__( '<i>I</i>', 'ventcamp' ),
//         'u' => esc_html__( '<u>U</u>', 'ventcamp' ),
//         'up' => esc_html__( 'TT', 'ventcamp' ),
//     ),
//     'active_callback'  => 'ventcamp_logo_callback'
// ) );

/* COLOR SETTINGS */
Kirki::add_section( 'color_settings', array(
    'priority'          => 210,
    'title'             => esc_html__( '+ Colors and skin', 'ventcamp' ),
    'description'       => esc_html__( 'General site settings', 'ventcamp' ),
    'capability'        => 'edit_theme_options',
) );

/* SKIN */
Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'color_settings',
    'label'             => esc_html__( 'Preset', 'ventcamp' ),
    'description'       => esc_html__( 'Select skin preset', 'ventcamp' ),
    'section'           => 'skin',
    'type'              => 'select',
    'priority'          => 11,
    'default'           => '',
    'section'           => 'color_settings',
    'choices'           => array(
        ''                  => esc_html__( '', 'ventcamp' ),
        'preset-1'          => esc_html__( 'Preset 1', 'ventcamp' ),
        'preset-2'          => esc_html__( 'Preset 2', 'ventcamp' ),
        'preset-3'          => esc_html__( 'Preset 3', 'ventcamp' ),
    ),
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'skin_accent_color',
    'label'             => esc_html__( 'Accent color', 'ventcamp' ),
    'description'       => esc_html__( 'Theme accent color', 'ventcamp' ),
    'section'           => 'skin',
    'type'              => 'color',
    'default'           => '#fe4918',
    'section'           => 'color_settings',
    'priority'          => 12,
    'transport'         => 'postMessage',
    'less'              => 'skin_accent_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'skin_text_color',
    'label'             => esc_html__( 'Text color', 'ventcamp' ),
    'section'           => 'skin',
    'type'              => 'color',
    'default'           => '#333333',
    'section'           => 'color_settings',
    'priority'          => 13,
    'transport'         => 'postMessage',
    'less'              => 'skin_text_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'skin_heading_color',
    'label'             => esc_html__( 'Heading color', 'ventcamp' ),
    'section'           => 'skin',
    'type'              => 'color',
    'default'           => '#333333',
    'section'           => 'color_settings',
    'priority'          => 14,
    'transport'         => 'postMessage',
    'less'              => 'skin_heading_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'skin_link_color',
    'label'             => esc_html__( 'Link color', 'ventcamp' ),
    'section'           => 'skin',
    'type'              => 'color',
    'default'           => '#fe4918',
    'section'           => 'color_settings',
    'priority'          => 15,
    'transport'         => 'postMessage',
    'less'              => 'skin_link_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'skin_link_hover_color',
    'label'             => esc_html__( 'Link hover color', 'ventcamp' ),
    'section'           => 'skin',
    'type'              => 'color',
    'default'           => '#fe4918',
    'section'           => 'color_settings',
    'priority'          => 16,
    'transport'         => 'postMessage',
    'less'              => 'skin_link_hover_color'
) );

/* LAYOUT */

Kirki::add_section( 'layout', array(
    'title'             => esc_html__( 'Site layout', 'ventcamp' ),
    'description'       => esc_html__( 'Site layout settings', 'ventcamp' ),
    'panel'             => 'theme_settings',
    'priority'          => 20,
    'capability'        => 'edit_theme_options',
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'layout_boxed',
    'label'             => esc_html__( 'Boxed layout', 'ventcamp' ),
    'section'           => 'layout',
    'type'              => 'checkbox',
    'priority'          => 25,
    'transport'         => 'postMessage',
    'less'              => 'layout_boxed',
    'default'           => false
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'slider',
    'settings'          => 'layout_content_width',
    'label'             => esc_html__( 'Content width', 'ventcamp' ),
    'section'           => 'layout',
    'default'           => 1170,
    'priority'          => 21,
    'choices'           => array(
        'min'               => 740,
        'max'               => 1170,
        'step'              => 10,
    ),
    'transport'         => 'postMessage',
    'less'              => 'layout_content_width'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'slider',
    'settings'          => 'layout_gutter_width',
    'label'             => esc_html__( 'Gutter width', 'ventcamp' ),
    'section'           => 'layout',
    'default'           => 30,
    'priority'          => 22,
    'choices'           => array(
        'min'               => 0,
        'max'               => 100,
        'step'              => 10,
    ),
    'transport'         => 'postMessage',
    'less'              => 'layout_gutter_width'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'slider',
    'settings'          => 'layout_row_height',
    'label'             => esc_html__( 'Row height', 'ventcamp' ),
    'section'           => 'layout',
    'default'           => 45,
    'priority'          => 24,
    'choices'           => array(
        'min'               => 0,
        'max'               => 120,
        'step'              => 1
    ),
    'transport'         => 'postMessage',
    'less'              => 'layout_row_height'
) );

/* TYPOGRAPHY */

Kirki::add_section( 'typography', array(
    'title'             => esc_html__( 'Typography', 'ventcamp' ),
    'description'       => esc_html__( 'Typography settings', 'ventcamp' ),
    'panel'             => 'theme_settings',
    'priority'          => 30,
    'capability'        => 'edit_theme_options',
) );


Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'typography',
    'settings'          => 'typography_heading',
    'label'             => esc_html__( 'Header font', 'ventcamp' ),
    'section'           => 'typography',
    'priority'          => 20,
    'default'           => array(
        'font-size'         => '70px',
        'font-family'       => 'Roboto',
        'font-weight'       => '400',
        'line-height'       => '1.1',
        'letter-spacing'    => '-0.05em'
    ),
    'choices'           => array(
        'font-style'        => true,
        'font-family'       => true,
        'font-size'         => true,
        'font-weight'       => true,
        'line-height'       => true,
        'letter-spacing'    => true
    ),
    'transport'         => 'postMessage',
    'less'              => 'typography_heading'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'typography',
    'settings'          => 'typography_body',
    'label'             => esc_html__( 'Body font', 'ventcamp' ),
    'section'           => 'typography',
    'priority'          => 21,
    'default'           => array(
        'font-family'       => 'Roboto',
        'font-size'         => '15px',
        'font-weight'       => '400',
        'line-height'       => '1.93333',
        'letter-spacing'    => '0'
    ),
    'choices'           => array(
        'font-style'        => true,
        'font-family'       => true,
        'font-size'         => true,
        'font-weight'       => true,
        'line-height'       => true,
        'letter-spacing'    => true
    ),
    'transport'         => 'postMessage',
    'less'              => 'typography_body'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'typography_menu',
    'label'             => esc_html__( 'Menu font', 'ventcamp' ),
    'section'           => 'typography',
    'type'              => 'typography',
    'priority'          => 22,
    'default'           => array(
        'font-style'        => array( 'uppercase' ),
        'font-family'       => 'PT Sans Caption',
        'font-weight'       => '700',
        'font-size'         => '11px',
        'line-height'       => '1.1',
        'letter-spacing'    => '0.26em'
    ),
    'choices'           => array(
        'font-style'        => true,
        'font-family'       => true,
        'font-size'         => true,
        'font-weight'       => true,
        'line-height'       => true,
        'letter-spacing'    => true
    ),
    'transport'         => 'postMessage',
    'less'              => 'typography_menu'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'multicheck',
    'settings'          => 'typography_fonts_subsets',
    'label'             => esc_html__( 'Subsets', 'ventcamp' ),
    'description'       => esc_html__( 'Font subsets for sitewide usage', 'ventcamp' ),
    'section'           => 'typography',
    'default'           => 'all',
    'priority'          => 22,
    'choices'           => Kirki_Fonts::get_google_font_subsets(),
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'background_color',
    'label'             => esc_html__( 'Background color', 'ventcamp' ),
    'description'       => esc_html__( 'Background color for boxed layout', 'ventcamp' ),
    'section'           => 'layout',
    'type'              => 'color',
    'priority'          => 26,
    'default'           => '#ffffff',
    'transport'         => 'postMessage',
    'less'              => 'background_color',
    'active_callback'   => 'ventcamp_boxed_background_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'background_image',
    'label'             => esc_html__( 'Background image', 'ventcamp' ),
    'description'       => esc_html__( 'Background image for boxed layout', 'ventcamp' ),
    'section'           => 'layout',
    'type'              => 'image',
    'priority'          => 27,
    'default'           => false,
    'transport'         => 'postMessage',
    'less'              => 'background_image',
    'less_quote'        => true,
    'active_callback'   => 'ventcamp_boxed_background_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'background_fixed',
    'label'             => esc_html__( 'Use fixed background', 'ventcamp' ),
    'section'           => 'layout',
    'type'              => 'checkbox',
    'priority'          => 28,
    'default'           => true,
    'transport'         => 'postMessage',
    'less'              => 'background_fixed',
    'active_callback'   => 'ventcamp_boxed_background_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'background_size',
    'label'             => esc_html__( 'Background size', 'ventcamp' ),
    'section'           => 'layout',
    'type'              => 'radio',
    'priority'          => 40,
    'default'           => 'cover',
    'choices'           => array(
        'auto'              => esc_html__( 'Auto', 'ventcamp' ),
        'cover'             => esc_html__( 'Cover', 'ventcamp' ),
        'contain'           => esc_html__( 'Contain', 'ventcamp' )
    ),
    'transport'         => 'postMessage',
    'less'              => 'background_size',
    'active_callback'   => 'ventcamp_boxed_background_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'background_repeat',
    'label'             => esc_html__( 'Background repeat', 'ventcamp' ),
    'section'           => 'layout',
    'type'              => 'radio',
    'priority'          => 50,
    'default'           => 'no-repeat',
    'choices'           => array(
        'no-repeat'         => esc_html__( 'No repeat', 'ventcamp' ),
        'repeat'            => esc_html__( 'Repeat', 'ventcamp' ),
        'repeat-x'          => esc_html__( 'Repeat X', 'ventcamp' ),
        'repeat-y'          => esc_html__( 'Repeat Y', 'ventcamp' )
    ),
    'transport'         => 'postMessage',
    'less'              => 'background_repeat',
    'active_callback'   => 'ventcamp_boxed_background_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'background_position',
    'label'             => esc_html__( 'Background position', 'ventcamp' ),
    'section'           => 'layout',
    'type'              => 'radio',
    'priority'          => 60,
    'default'           => 'center',
    'choices'           => array(
        'left'              => esc_html__( 'Left', 'ventcamp' ),
        'center'            => esc_html__( 'Center', 'ventcamp' ),
        'right'             => esc_html__( 'Right', 'ventcamp' )
    ),
    'transport'         => 'postMessage',
    'less'              => 'background_position',
    'active_callback'   => 'ventcamp_boxed_background_callback'
) );

/* HEADER and NAVIGATION */
Kirki::add_panel( 'header_navigation', array(
    'priority'          => 230,
    'title'             => esc_html__( '+ Navigation', 'ventcamp' ),
    'capability'        => 'edit_theme_options'
) );

/* MENU BAR */
Kirki::add_section( 'menu_bar', array(
    'title'             => esc_html__( 'Main menu', 'ventcamp' ),
    'panel'             => 'header_navigation',
    'priority'          => 20,
    'capability'        => 'edit_theme_options'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'header_format_style',
    'label'             => esc_html__( 'Menu template', 'ventcamp' ),
    'section'           => 'menu_bar',
    'type'              => 'radio',
    'priority'          => 10,
    'default'           => 'logo_menu_button',
    'choices'           => array(
        'menu_button'       => esc_html__( 'Menu and button', 'ventcamp' ),
        'logo_menu'         => esc_html__( 'Logo and menu', 'ventcamp' ),
        'logo_menu_button'  => esc_html__( 'Logo, menu and button', 'ventcamp' )
    )
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_menu_position',
    'label'             => esc_html__( 'Menu position', 'ventcamp' ),
    'section'           => 'menu_bar',
    'type'              => 'radio',
    'priority'          => 11,
    'default'           => 'after',
    'choices'           => array(
        'before'            => esc_html__( 'Before hero block', 'ventcamp' ),
        'after'             => esc_html__( 'After hero block', 'ventcamp' )
    ),
    'active_callback'   => 'ventcamp_hero_enable_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'header_disable_fixed',
    'label'             => esc_html__( 'Disable fixed/sticky menu', 'ventcamp' ),
    'section'           => 'menu_bar',
    'type'              => 'checkbox',
    'priority'          => 11,
    'default'           => false,
    'to_js'             => 'headerRelativePosition',
    'transport'         => 'postMessage',
    'less'              => 'header_disable_fixed'
) );

/*
* This should be refactored, add proper "Hide until X pixels from top scroll" with dependent input field
*
Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'header_hide_until_scroll',
    'label'             => esc_html__( 'Hide header until scroll', 'ventcamp' ),
    'section'           => 'menu_bar',
    'type'              => 'checkbox',
    'priority'          => 11,
    'default'           => false,
    'to_js'             => 'headerRelativePosition',
    'transport'         => 'postMessage',
    'less'              => 'header_hide_until_scroll'
) );
*/

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'slider',
    'settings'          => 'menu_bar_menu_height',
    'label'             => esc_html__( 'Menu/logo height', 'ventcamp' ),
    'section'           => 'menu_bar',
    'default'           => 100,
    'priority'          => 11,
    'choices'           => array(
        'min'               => 50,
        'max'               => 300,
        'step'              => 1,
    ),
    'transport'         => 'postMessage',
    'less'              => 'menu_bar_menu_height'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'menu_bar_text_color',
    'label'             => esc_html__( 'Link color', 'ventcamp' ),
    'section'           => 'menu_bar',
    'type'              => 'color',
    'default'           => '#ffffff',
    'priority'          => 22,
    'transport'         => 'postMessage',
    'less'              => 'menu_bar_text_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'menu_bar_active_link_color',
    'label'             => esc_html__( 'Active link color', 'ventcamp' ),
    'section'           => 'menu_bar',
    'type'              => 'color',
    'default'           => '#fe4918',
    'priority'          => 23,
    'transport'         => 'postMessage',
    'less'              => 'menu_bar_active_link_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'menu_bar_background_color',
    'label'             => esc_html__( 'Background color', 'ventcamp' ),
    'section'           => 'menu_bar',
    'type'              => 'color',
    'default'           => '#262627',
    'priority'          => 32,
    'transport'         => 'postMessage',
    'less'              => 'menu_bar_background_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'header_one_page_nav',
    'label'             => esc_html__( 'Add smooth scroll to all anchor links on page?', 'ventcamp' ),
    'section'           => 'menu_bar',
    'type'              => 'checkbox',
    'priority'          => 40,
    'default'           => true,
    'to_js'             => 'onePageNav'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'header_one_page_nav_hash_change',
    'label'             => esc_html__( 'Enable One page navigation changing hash in url?', 'ventcamp' ),
    'section'           => 'menu_bar',
    'type'              => 'checkbox',
    'priority'          => 41,
    'default'           => false,
    'to_js'             => 'onePageNavHashChange'
) );

/* DROPDOWN MENU */
Kirki::add_section( 'dropdown_menu', array(
    'title'             => esc_html__( 'Dropdown menu', 'ventcamp' ),
    'panel'             => 'header_navigation',
    'priority'          => 20,
    'capability'        => 'edit_theme_options',
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'menu_bar_dropdown_background_color',
    'label'             => esc_html__( 'Dropdown menu background color', 'ventcamp' ),
    'section'           => 'dropdown_menu',
    'type'              => 'color',
    'default'           => '#262627',
    'priority'          => 33,
    'transport'         => 'postMessage',
    'less'              => 'menu_bar_dropdown_background_color'
) );


Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'menu_bar_dropdown_text_color',
    'label'             => esc_html__( 'Dropdown menu text color', 'ventcamp' ),
    'section'           => 'dropdown_menu',
    'type'              => 'color',
    'default'           => '#ffffff',
    'priority'          => 39,
    'transport'         => 'postMessage',
    'less'              => 'menu_bar_dropdown_text_color'
) );

/* Hero */
Kirki::add_panel( 'hero', array(
    'priority'          => 220,
    'title'             => esc_html__( '+ Hero header', 'ventcamp' ),
    // 'description'       => esc_html__( 'Hero block settings', 'ventcamp' )
) );

/* HERO LAYOUT and BACKGROUND */
Kirki::add_section( 'hero_general', array(
    'title'             => esc_html__( 'Layout and Background', 'ventcamp' ),
    'panel'             => 'hero',
    'priority'          => 5,
    'capability'        => 'edit_theme_options',
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_display',
    'label'             => esc_html__( 'Enable hero block', 'ventcamp' ),
    'section'           => 'hero_general',
    'type'              => 'radio',
    'priority'          => 10,
    'default'           => '1',
    'choices'           => array(
        '2'                 => esc_html__( 'Show on all pages', 'ventcamp' ),
        '1'                 => esc_html__( 'Show on Homepage only', 'ventcamp' ),
        '0'                 => esc_html__( 'Don\'t show', 'ventcamp' )
    )
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_fullheight',
    'label'             => esc_html__( 'Full height', 'ventcamp' ),
    'section'           => 'hero_general',
    'type'              => 'checkbox',
    'priority'          => 11,
    'default'           => 1,
    'active_callback'   => 'ventcamp_hero_enable_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_verticalcentring',
    'label'             => esc_html__( 'Vertical centering', 'ventcamp' ),
    'section'           => 'hero_general',
    'type'              => 'checkbox',
    'priority'          => 12,
    'default'           => true,
    'active_callback'   => 'ventcamp_hero_enable_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_background_type',
    'label'             => esc_html__( 'Background type', 'ventcamp' ),
    'section'           => 'hero_general',
    'type'              => 'radio',
    'priority'          => 14,
    'default'           => 'color',
    'choices'           => array(
        'color'             => esc_html__( 'Solid color', 'ventcamp' ),
        'image'             => esc_html__( 'Image', 'ventcamp' ),
        'video'             => esc_html__( 'Video', 'ventcamp' )
    ),
    'active_callback'   => 'ventcamp_hero_enable_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_background_color',
    'label'             => esc_html__( 'Background color', 'ventcamp' ),
    'section'           => 'hero_general',
    'type'              => 'color',
    'priority'          => 15,
    'default'           => '#252323',
    'active_callback'   => 'ventcamp_hero_background_type_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_background_image',
    'label'             => esc_html__( 'Hero background image', 'ventcamp' ),
    'section'           => 'hero_general',
    'type'              => 'image',
    'priority'          => 16,
    'active_callback'   => 'ventcamp_hero_background_type_callback',
    // 'default'           => '' // TODO: add default image ???
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_background_video',
    'label'             => esc_html__( 'Youtube video url', 'ventcamp' ),
    'section'           => 'hero_general',
    'type'              => 'text',
    'priority'          => 17,
    'active_callback'   => 'ventcamp_hero_background_type_callback',
    'default'           => ''
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'multicheck',
    'settings'          => 'hero_background_video_settings',
    'label'             => esc_html__( 'Background video settings', 'ventcamp' ),
    'section'           => 'hero_general',
    'default'           => 'all',
    'priority'          => 18,
    'choices'           => array(
        'controls'          => esc_html__( 'Add video controls', 'ventcamp' ),
        'mute'              => esc_html__( 'Mute video by default', 'ventcamp' ),
        'autoplay'          => esc_html__( 'Play video automatically', 'ventcamp' )
    ),
    'active_callback'   => 'ventcamp_hero_background_type_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_background_video_controls',
    'label'             => esc_html__( 'Background video controls', 'ventcamp' ),
    'section'           => 'hero_general',
    'type'              => 'radio',
    'priority'          => 19,
    'default'           => 'left',
    'choices'           => array(
        'left'              => esc_html__( 'Left', 'ventcamp' ),
        'center'            => esc_html__( 'Center', 'ventcamp' ),
        'right'             => esc_html__( 'Right', 'ventcamp' )
    ),
    'active_callback'   => 'ventcamp_hero_background_type_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_overlay_type',
    'label'             => esc_html__( 'Overlay type', 'ventcamp' ),
    'section'           => 'hero_general',
    'type'              => 'radio',
    'priority'          => 20,
    'default'           => 'none',
    'choices'           => array(
        'none'              => esc_html__( 'None', 'ventcamp' ),
        'color'             => esc_html__( 'Solid color', 'ventcamp' ),
        'gradient'          => esc_html__( 'Gradient', 'ventcamp' )
    ),
    'active_callback'   => 'ventcamp_hero_enable_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_overlay_color',
    'label'             => esc_html__( 'Overlay color', 'ventcamp' ),
    'section'           => 'hero_general',
    'type'              => 'color-alpha',
    'priority'          => 21,
    'default'           => '',
    'active_callback'   => 'ventcamp_hero_overlay_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_overlay_gradient',
    'label'             => esc_html__( 'Gradient css code', 'ventcamp' ),
    'section'           => 'hero_general',
    'type'              => 'textarea',
    'priority'          => 22,
    'default'           => '',
    'choices'           => array(
        'language'          => 'css',
        'theme'             => 'matherial',
    ),
    'active_callback'   => 'ventcamp_hero_overlay_callback'
) );


/* HERO MAIN HEADING */
Kirki::add_section( 'hero_main_section', array(
    'title'             => esc_html__( 'Main heading', 'ventcamp' ),
    'panel'             => 'hero',
    'priority'          => 10,
    'capability'        => 'edit_theme_options',
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_heading_type',
    'label'             => esc_html__( 'Hero main heading type', 'ventcamp' ),
    'section'           => 'hero_main_section',
    'type'              => 'radio',
    'priority'          => 14,
    'default'           => 'text',
    'choices'           => array(
        'text'              => esc_html__( 'Text', 'ventcamp' ),
        'image'             => esc_html__( 'Image', 'ventcamp' )
    ),
    'active_callback'   => 'ventcamp_hero_enable_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_heading_image',
    'label'             => esc_html__( 'Hero image', 'ventcamp' ),
    'section'           => 'hero_main_section',
    'type'              => 'image',
    'priority'          => 15,
    'active_callback'   => 'ventcamp_hero_heading_type_callback',
    'default'           => ''
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_heading_image_retina',
    'label'             => esc_html__( 'Hero image retina', 'ventcamp' ),
    'section'           => 'hero_main_section',
    'type'              => 'image',
    'priority'          => 16,
    'active_callback'   => 'ventcamp_hero_heading_type_callback',
    'default'           => ''
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_heading_text',
    'label'             => esc_html__( 'Hero heading text', 'ventcamp' ),
    'section'           => 'hero_main_section',
    'type'              => 'text',
    'priority'          => 17,
    'default'           => 'VENTCAMP',
    'active_callback'   => 'ventcamp_hero_heading_type_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_heading_typography',
    'label'             => esc_html__( 'Hero heading font', 'ventcamp' ),
    'section'           => 'hero_main_section',
    'type'              => 'typography',
    'priority'          => 18,
    'default'           => array(
        'font-family'       => 'PT Sans Caption',
        'font-size'         => '132px',
        'font-weight'       => '700',
        'line-height'       => '1.1',
        'letter-spacing'    => '0'
    ),
    'choices'           => array(
        'font-style'        => true,
        'font-family'       => true,
        'font-size'         => true,
        'font-weight'       => true,
        'line-height'       => true,
        'letter-spacing'    => true
    ),
    'transport'         => 'postMessage',
    'less'              => 'hero_heading_typography',
    'active_callback'   => 'ventcamp_hero_heading_type_callback'
) );


/* HERO UPPER and BOTTOM HEADINGS */
Kirki::add_section( 'hero_content', array(
    'title'             => esc_html__( 'Upper and Bottom subheadings', 'ventcamp' ),
    'panel'             => 'hero',
    'priority'          => 15,
    'capability'        => 'edit_theme_options'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_heading_upper_text_date',
    'label'             => esc_html__( 'Hero upper text city', 'ventcamp' ),
    'section'           => 'hero_content',
    'type'              => 'text',
    'priority'          => 116,
    'default'           => '28.NOV',
    'active_callback'   => 'ventcamp_hero_enable_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_heading_upper_text_location',
    'label'             => esc_html__( 'Hero upper text location', 'ventcamp' ),
    'section'           => 'hero_content',
    'type'              => 'text',
    'priority'          => 116,
    'default'           => 'NEW YORK, NY',
    'active_callback'   => 'ventcamp_hero_enable_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_upper_typography',
    'label'             => esc_html__( 'Hero upper font', 'ventcamp' ),
    'section'           => 'hero_content',
    'type'              => 'typography',
    'priority'          => 117,
    'default'           => array(
        'font-family'       => 'Roboto',
        'font-size'         => '19px',
        'font-weight'       => '600',
        'line-height'       => '1.7',
        'letter-spacing'    => '0.85em'
    ),
    'choices'           => array(
        'font-style'        => true,
        'font-family'       => true,
        'font-size'         => true,
        'font-weight'       => true,
        'line-height'       => true,
        'letter-spacing'    => true
    ),
    'transport'         => 'postMessage',
    'less'              => 'hero_upper_typography',
    'active_callback'   => 'ventcamp_hero_enable_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_heading_lower_text',
    'label'             => esc_html__( 'Hero lower text', 'ventcamp' ),
    'section'           => 'hero_content',
    'type'              => 'textarea',
    'priority'          => 118,
    'default'           => 'Massive conference about web developement',
    'choices'           => array(
        'language'          => 'xml',
        'theme'             => 'material'
    ),
    'active_callback'   => 'ventcamp_hero_enable_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_lower_typography',
    'label'             => esc_html__( 'Hero lower font', 'ventcamp' ),
    'section'           => 'hero_content',
    'type'              => 'typography',
    'priority'          => 119,
    'default'           => array(
        'font-family'       => 'Roboto',
        'font-size'         => '20px',
        'font-weight'       => '300',
        'line-height'       => '1.1',
        'letter-spacing'    => '0'
    ),
    'choices'           => array(
        'font-style'        => true,
        'font-family'       => true,
        'font-size'         => true,
        'font-weight'       => true,
        'line-height'       => true,
        'letter-spacing'    => true
    ),
    'transport'         => 'postMessage',
    'less'              => 'hero_lower_typography',
    'active_callback'   => 'ventcamp_hero_enable_callback'
) );

/* HERO TOP ZONE */
Kirki::add_section( 'hero_top_section', array(
    'title'             => esc_html__( 'Top text and socials', 'ventcamp' ),
    'panel'             => 'hero',
    'priority'          => 7,
    'capability'        => 'edit_theme_options',
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_top_line_type',
    'label'             => esc_html__( 'Hero top line type', 'ventcamp' ),
    'section'           => 'hero_top_section',
    'type'              => 'radio',
    'priority'          => 125,
    'default'           => 'social',
    'choices'           => array(
        'disable'           => esc_html__( 'Disable', 'ventcamp' ),
        'social'            => esc_html__( 'Social', 'ventcamp' ),
        'text'              => esc_html__( 'Text', 'ventcamp' )
    ),
    'active_callback'   => 'ventcamp_hero_enable_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'repeater',
    'settings'          => 'hero_social',
    'label'             => esc_html__( 'Hero social links', 'ventcamp' ),
    'section'           => 'hero_top_section',
    'priority'          => 126,
    'default'           => array(
        array( 'url' => 'http://facebook.com',  'type' => 'facebook' ),
        array( 'url' => 'http://twitter.com',   'type' => 'twitter' ),
        array( 'url' => 'http://google.com',    'type' => 'google' ),
        array( 'url' => 'http://instagram.com', 'type' => 'instagram' )
    ),
    'fields'            => array(
        'type'              => array(
            'type'              => 'select',
            'label'             => esc_html__( 'Site', 'ventcamp' ),
            'default'           => '',
            'choices'           => ventcamp_get_socials()
        ),
        'url'               => array(
            'type'              => 'text',
            'label'             => esc_html__( 'Link', 'ventcamp' ),
            'default'           => ''
        )
    ),
    'active_callback'   => 'ventcamp_hero_top_line_callback'
) );


Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_top_line_text',
    'label'             => esc_html__( 'Hero top line text', 'ventcamp' ),
    'section'           => 'hero_top_section',
    'type'              => 'textarea',
    'priority'          => 127,
    'choices'           => array(
        'language'          => 'xml',
        'theme'             => 'material'
    ),
    'active_callback'   => 'ventcamp_hero_top_line_callback'
) );


/* HERO BUTTONS */
Kirki::add_section( 'hero_buttons_section', array(
    'title'             => esc_html__( 'Buttons', 'ventcamp' ),
    'panel'             => 'hero',
    'priority'          => 20,
    'capability'        => 'edit_theme_options',
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_buttons',
    'label'             => esc_html__( 'Hero buttons', 'ventcamp' ),
    'section'           => 'hero_buttons_section',
    'type'              => 'radio',
    'priority'          => 120,
    'default'           => '2',
    'choices'           => array(
        '0'                 => esc_html__( 'no buttons', 'ventcamp' ),
        '1'                 => esc_html__( '1 button', 'ventcamp' ),
        '2'                 => esc_html__( '2 buttons', 'ventcamp' )
    ),
    'active_callback'   => 'ventcamp_hero_enable_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_button_text',
    'label'             => esc_html__( 'Hero button text', 'ventcamp' ),
    'section'           => 'hero_buttons_section',
    'type'              => 'text',
    'priority'          => 121,
    'active_callback'   => 'ventcamp_hero_buttons_callback',
    'default'           => 'Watch trailer',
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_button_link',
    'label'             => esc_html__( 'Hero button link', 'ventcamp' ),
    'section'           => 'hero_buttons_section',
    'type'              => 'text',
    'priority'          => 122,
    'active_callback'   => 'ventcamp_hero_buttons_callback',
    'default'           => '#'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_button_alt_text',
    'label'             => esc_html__( 'Hero button ALT text', 'ventcamp' ),
    'section'           => 'hero_buttons_section',
    'type'              => 'text',
    'priority'          => 123,
    'active_callback'   => 'ventcamp_hero_buttons_callback',
    'default'           => 'Get tickets'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'hero_button_alt_link',
    'label'             => esc_html__( 'Hero button ALT link', 'ventcamp' ),
    'section'           => 'hero_buttons_section',
    'type'              => 'text',
    'priority'          => 124,
    'active_callback'   => 'ventcamp_hero_buttons_callback',
    'default'           => '#'
) );
/* END HERO BUTTONS */

/* FOOTER */
Kirki::add_panel( 'footer', array(
    'priority'          => 250,
    'title'             => esc_html__( '+ Footer', 'ventcamp' ),
    'description'       => esc_html__( 'Footer settings', 'ventcamp' ),
) );

Kirki::add_section( 'footer', array(
    'title'             => esc_html__( 'Layout and colors', 'ventcamp' ),
    'panel'             => 'footer',
    'priority'          => 10,
    'capability'        => 'edit_theme_options',
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'slider',
    'settings'          => 'footer_widgets_columns',
    'label'             => esc_html__( 'Widgets (columns) count', 'ventcamp' ),
    'section'           => 'footer',
    'default'           => 3,
    'priority'          => 2,
    'choices'           => array(
        'min'               => 2,
        'max'               => 4,
        'step'              => 1
    ),
    'active_callback'   => 'ventcamp_footer_widgets_callback'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'checkbox',
    'settings'          => 'footer_widgets_enable',
    'label'             => esc_html__( 'Enable footer widgets', 'ventcamp' ),
    'section'           => 'footer',
    'default'           => 1,
    'priority'          => 1,
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'footer_widgets_background_color',
    'label'             => esc_html__( 'Background color', 'ventcamp' ),
    'section'           => 'footer',
    'type'              => 'color',
    'default'           => '#262627',
    'transport'         => 'postMessage',
    'less'              => 'footer_widgets_background_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'footer_heading_color',
    'label'             => esc_html__( 'Headings color', 'ventcamp' ),
    'section'           => 'footer',
    'type'              => 'color',
    'default'           => '#ffffff',
    'transport'         => 'postMessage',
    'less'              => 'footer_heading_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'footer_text_color',
    'label'             => esc_html__( 'Text color', 'ventcamp' ),
    'section'           => 'footer',
    'type'              => 'color',
    'default'           => '#8d93a0',
    'transport'         => 'postMessage',
    'less'              => 'footer_text_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'footer_link_color',
    'label'             => esc_html__( 'Links color', 'ventcamp' ),
    'section'           => 'footer',
    'type'              => 'color',
    'default'           => '#fe4918',
    'transport'         => 'postMessage',
    'less'              => 'footer_link_color'
) );

Kirki::add_section( 'sub_footer', array(
    'title'             => esc_html__( 'Sub footer', 'ventcamp' ),
    'panel'             => 'footer',
    'priority'          => 20,
    'capability'        => 'edit_theme_options',
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'footer_background_color',
    'label'             => esc_html__( 'Background color', 'ventcamp' ),
    'section'           => 'sub_footer',
    'type'              => 'color',
    'default'           => '#1f2125',
    'transport'         => 'postMessage',
    'less'              => 'footer_background_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'textarea',
    'choices'           => array(
        'language'          => 'xml',
        'theme'             => 'material'
    ),
    'settings'          => 'footer_text',
    'label'             => esc_html__( 'Footer text', 'ventcamp' ),
    'description'       => esc_html__( 'Add your copyright here', 'ventcamp' ),
    'section'           => 'sub_footer',
    'default'           => 'All Rights Reserved 2016'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'repeater',
    'settings'          => 'footer_social',
    'label'             => esc_html__( 'Footer social links', 'ventcamp' ),
    'section'           => 'sub_footer',
    'default'           => array(
        array( 'type' => 'facebook',  'url' => 'http://facebook.com' ),
        array( 'type' => 'twitter',   'url' => 'http://twitter.com' ),
        array( 'type' => 'google',    'url' => 'http://google.com' ),
        array( 'type' => 'instagram', 'url' => 'http://instagram.com' )
    ),
    'fields'            => array(
        'type'              => array(
            'type'              => 'select',
            'label'             => esc_html__( 'Site', 'ventcamp' ),
            'default'           => '',
            'choices'           => ventcamp_get_socials()
        ),
        'url'               => array(
            'type'              => 'text',
            'label'             => esc_html__( 'Link', 'ventcamp' ),
            'default'           => ''
        )
    )
) );


/* BUTTONS */
Kirki::add_panel( 'buttons', array(
    'priority'          => 240,
    'title'             => esc_html__( '+ Buttons', 'ventcamp' ),
    'description'       => esc_html__( 'Global buttons settings', 'ventcamp' ),
) );

Kirki::add_section( 'buttons_style', array(
    'title'             => esc_html__( 'Primary button', 'ventcamp' ),
    'panel'             => 'buttons',
    'priority'          => 10,
    'capability'        => 'edit_theme_options',
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'typography',
    'settings'          => 'button_font',
    'label'             => esc_html__( 'Button font', 'ventcamp' ),
    'section'           => 'buttons_style',
    'priority'          => 1,
    'default'           => array(
        'font-family'       => 'PT Sans Caption',
        'font-weight'       => '700',
        'line-height'       => '1',
        'letter-spacing'    => '0.59em'
    ),
    'choices'           => array(
        'font-style'        => true,
        'font-family'       => true,
        'font-weight'       => true,
        'line-height'       => true,
        'letter-spacing'    => true
    ),
    'transport'         => 'postMessage',
    'less'              => 'button_font'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'button_text_color',
    'label'             => esc_html__( 'Text color', 'ventcamp' ),
    'section'           => 'buttons_style',
    'type'              => 'color',
    'default'           => '#ffffff',
    'priority'          => 2,
    'transport'         => 'postMessage',
    'less'              => 'button_text_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'button_background_color',
    'label'             => esc_html__( 'Background color', 'ventcamp' ),
    'section'           => 'buttons_style',
    'type'              => 'color-alpha',
    'default'           => 'rgba(254, 73, 24, 1)',
    'priority'          => 3,
    'transport'         => 'postMessage',
    'less'              => 'button_background_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'slider',
    'settings'          => 'button_border_width',
    'label'             => esc_html__( 'Border width', 'ventcamp' ),
    'section'           => 'buttons_style',
    'default'           => 0,
    'priority'          => 4,
    'choices'           => array(
        'min'               => 0,
        'max'               => 10,
        'step'              => 1
    ),
    'transport'         => 'postMessage',
    'less'              => 'button_border_width'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'button_border_color',
    'label'             => esc_html__( 'Border color', 'ventcamp' ),
    'section'           => 'buttons_style',
    'type'              => 'color-alpha',
    'default'           => 'rgba(255, 255, 255, 0)',
    'priority'          => 5,
    'transport'         => 'postMessage',
    'less'              => 'button_border_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'slider',
    'settings'          => 'button_border_radius',
    'label'             => esc_html__( 'Border radius', 'ventcamp' ),
    'section'           => 'buttons_style',
    'default'           => 4,
    'priority'          => 6,
    'choices'           => array(
        'min'               => 0,
        'max'               => 50,
        'step'              => 1
    ),
    'transport'         => 'postMessage',
    'less'              => 'button_border_radius'
) );

// Kirki::add_field( 'ventcamp_theme_config', array(
//     'settings' => 'buttons_style_add_icon',
//     'label'    => esc_html__( 'Add button icon', 'ventcamp' ),
//     'section'  => 'buttons_style',
//     'type'     => 'checkbox',
//     'priority' => 9,
//     'default'  => '1'
// ) );

// Kirki::add_field( 'ventcamp_theme_config', array(
//     'settings' => 'buttons_style_icon',
//     'label'    => esc_html__( 'Icon', 'ventcamp' ),
//     'section'  => 'buttons_style',
//     'type'     => 'select-icon',
//     'default'  => 'left',
//     'priority' => 10,
//     'choices'  => ventcamp_get_icons_list(),
//     'active_callback' => 'ventcamp_button_icon_callback'
// ) );

// Kirki::add_field( 'ventcamp_theme_config', array(
//     'settings' => 'buttons_style_icon_color',
//     'label'    => esc_html__( 'Icon color', 'ventcamp' ),
//     'section'  => 'buttons_style',
//     'type'     => 'color',
//     'default'  => '#ffffff',
//     'priority' => 11,
//     'active_callback' => 'ventcamp_button_icon_callback'
// ) );

// Kirki::add_field( 'ventcamp_theme_config', array(
//     'settings' => 'buttons_style_icon_placement',
//     'label'    => esc_html__( 'Icon placement', 'ventcamp' ),
//     'section'  => 'buttons_style',
//     'type'     => 'select',
//     'default'  => 'left',
//     'priority' => 12,
//     'choices'     => array(
//             'left' => esc_html__( 'Left', 'ventcamp' ),
//             'right' => esc_html__( 'Right', 'ventcamp' )
//         ),
//     'active_callback' => 'ventcamp_button_icon_callback'
// ) );

/* BUTTONS HOVER */
Kirki::add_section( 'buttons_hover_style', array(
    'title'             => esc_html__( 'Primary button hover', 'ventcamp' ),
    'panel'             => 'buttons',
    'priority'          => 20,
    'capability'        => 'edit_theme_options',
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'button_hov_text_color',
    'label'             => esc_html__( 'Text color', 'ventcamp' ),
    'section'           => 'buttons_hover_style',
    'type'              => 'color',
    'default'           => '#ffffff',
    'priority'          => 2,
    'transport'         => 'postMessage',
    'less'              => 'button_hov_text_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'button_hov_background_color',
    'label'             => esc_html__( 'Background color', 'ventcamp' ),
    'section'           => 'buttons_hover_style',
    'type'              => 'color-alpha',
    'default'           => 'rgba(255, 120, 84, 1)',
    'priority'          => 3,
    'transport'         => 'postMessage',
    'less'              => 'button_hov_background_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'slider',
    'settings'          => 'button_hov_border_width',
    'label'             => esc_html__( 'Border width', 'ventcamp' ),
    'section'           => 'buttons_hover_style',
    'default'           => 0,
    'priority'          => 4,
    'choices'           => array(
        'min'               => 0,
        'max'               => 10,
        'step'              => 1
    ),
    'transport'         => 'postMessage',
    'less'              => 'button_hov_border_width'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'button_hov_border_color',
    'label'             => esc_html__( 'Border color', 'ventcamp' ),
    'section'           => 'buttons_hover_style',
    'type'              => 'color-alpha',
    'default'           => 'rgba(255, 255, 255, 0)',
    'priority'          => 5,
    'transport'         => 'postMessage',
    'less'              => 'button_hov_border_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'slider',
    'settings'          => 'button_hov_border_radius',
    'label'             => esc_html__( 'Border radius', 'ventcamp' ),
    'section'           => 'buttons_hover_style',
    'default'           => 4,
    'priority'          => 6,
    'choices'           => array(
        'min'               => 0,
        'max'               => 50,
        'step'              => 1
    ),
    'transport'         => 'postMessage',
    'less'              => 'button_hov_border_radius'
) );

Kirki::add_section( 'buttons_alt_style', array(
    'title'             => esc_html__( 'Secondary button', 'ventcamp' ),
    'panel'             => 'buttons',
    'priority'          => 20,
    'capability'        => 'edit_theme_options'
) );

// Kirki::add_field( 'ventcamp_theme_config', array(
//     'type'     => 'typography',
//     'settings'  => 'button_alt_font',
//     'label'    => esc_html__( 'Button font', 'ventcamp' ),
//     'section'  => 'buttons_alt_style',
//     'priority' => 1,
//     'default'     => array(
//         'font-family'    => '"PT Sans Caption", Arial, "Helvetica Neue", Helvetica, sans-serif',
//         'font-size'      => '14',
//         'font-weight'    => '700',
//         'line-height'    => '1',
//         'letter-spacing' => '0.4em',
//     ),
//     'choices' => array(
//             'font-style' => true,
//             'font-family' => true,
//             'font-size' => true,
//             'font-weight' => true,
//             'line-height' => true,
//             'letter-spacing' => true
//     ),
//     'transport' => 'postMessage',
//     'less' => 'button_alt_font',
// ) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'button_alt_text_color',
    'label'             => esc_html__( 'Text color', 'ventcamp' ),
    'section'           => 'buttons_alt_style',
    'type'              => 'color',
    'default'           => '#fe4918',
    'priority'          => 2,
    'transport'         => 'postMessage',
    'less'              => 'button_alt_text_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'button_alt_background_color',
    'label'             => esc_html__( 'Background color', 'ventcamp' ),
    'section'           => 'buttons_alt_style',
    'type'              => 'color-alpha',
    'default'           => 'rgba(255, 255, 255, 0)',
    'priority'          => 3,
    'transport'         => 'postMessage',
    'less'              => 'button_alt_background_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'slider',
    'settings'          => 'button_alt_border_width',
    'label'             => esc_html__( 'Border width', 'ventcamp' ),
    'section'           => 'buttons_alt_style',
    'default'           => 1,
    'priority'          => 4,
    'choices'           => array(
        'min'               => 0,
        'max'               => 10,
        'step'              => 1
    ),
    'transport'         => 'postMessage',
    'less'              => 'button_alt_border_width'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'button_alt_border_color',
    'label'             => esc_html__( 'Border color', 'ventcamp' ),
    'section'           => 'buttons_alt_style',
    'type'              => 'color-alpha',
    'default'           => 'rgba(254, 73, 24, 1)',
    'priority'          => 5,
    'transport'         => 'postMessage',
    'less'              => 'button_alt_border_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'slider',
    'settings'          => 'button_alt_border_radius',
    'label'             => esc_html__( 'Border radius', 'ventcamp' ),
    'section'           => 'buttons_alt_style',
    'default'           => 4,
    'priority'          => 6,
    'choices'           => array(
        'min'               => 0,
        'max'               => 50,
        'step'              => 1
    ),
    'transport'         => 'postMessage',
    'less'              => 'button_alt_border_radius'
) );

// Kirki::add_field( 'ventcamp_theme_config', array(
//     'settings' => 'buttons_alt_style_add_icon',
//     'label'    => esc_html__( 'Add button icon', 'ventcamp' ),
//     'section'  => 'buttons_alt_style',
//     'type'     => 'checkbox',
//     'priority' => 9,
//     'default'  => '1'
// ) );

// Kirki::add_field( 'ventcamp_theme_config', array(
//     'settings' => 'buttons_alt_style_icon',
//     'label'    => esc_html__( 'Icon', 'ventcamp' ),
//     'section'  => 'buttons_alt_style',
//     'type'     => 'select-icon',
//     'default'  => 'left',
//     'priority' => 10,
//     'choices'  => ventcamp_get_icons_list(),
//     'active_callback' => 'ventcamp_button_icon_callback'
// ) );

// Kirki::add_field( 'ventcamp_theme_config', array(
//     'settings' => 'buttons_alt_style_icon_color',
//     'label'    => esc_html__( 'Icon color', 'ventcamp' ),
//     'section'  => 'buttons_alt_style',
//     'type'     => 'color',
//     'default'  => '#ffffff',
//     'priority' => 11,
//     'active_callback' => 'ventcamp_button_icon_callback'
// ) );

// Kirki::add_field( 'ventcamp_theme_config', array(
//     'settings' => 'buttons_alt_style_icon_placement',
//     'label'    => esc_html__( 'Icon placement', 'ventcamp' ),
//     'section'  => 'buttons_alt_style',
//     'type'     => 'select',
//     'default'  => 'left',
//     'priority' => 12,
//     'choices'     => array(
//             'left' => esc_html__( 'Left', 'ventcamp' ),
//             'right' => esc_html__( 'Right', 'ventcamp' )
//         ),
//     'active_callback' => 'ventcamp_button_icon_callback'
// ) );

/* BUTTONS HOVER */
Kirki::add_section( 'buttons_alt_hover_style', array(
    'title'             => esc_html__( 'Secondary button hover', 'ventcamp' ),
    'panel'             => 'buttons',
    'priority'          => 20,
    'capability'        => 'edit_theme_options',
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'button_alt_hov_text_color',
    'label'             => esc_html__( 'Text color', 'ventcamp' ),
    'section'           => 'buttons_alt_hover_style',
    'type'              => 'color',
    'default'           => '#ffffff',
    'priority'          => 2,
    'transport'         => 'postMessage',
    'less'              => 'button_alt_hov_text_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'button_alt_hov_background_color',
    'label'             => esc_html__( 'Background color', 'ventcamp' ),
    'section'           => 'buttons_alt_hover_style',
    'type'              => 'color-alpha',
    'default'           => 'rgba(254, 73, 24, 1)',
    'priority'          => 3,
    'transport'         => 'postMessage',
    'less'              => 'button_alt_hov_background_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'slider',
    'settings'          => 'button_alt_hov_border_width',
    'label'             => esc_html__( 'Border width', 'ventcamp' ),
    'section'           => 'buttons_alt_hover_style',
    'default'           => 1,
    'priority'          => 4,
    'choices'           => array(
        'min'               => 0,
        'max'               => 10,
        'step'              => 1
    ),
    'transport'         => 'postMessage',
    'less'              => 'button_alt_hov_border_width'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'button_alt_hov_border_color',
    'label'             => esc_html__( 'Border color', 'ventcamp' ),
    'section'           => 'buttons_alt_hover_style',
    'type'              => 'color-alpha',
    'default'           => 'rgba(254, 73, 24, 1)',
    'priority'          => 5,
    'transport'         => 'postMessage',
    'less'              => 'button_alt_hov_border_color'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'slider',
    'settings'          => 'button_alt_hov_border_radius',
    'label'             => esc_html__( 'Border radius', 'ventcamp' ),
    'section'           => 'buttons_alt_hover_style',
    'default'           => 4,
    'priority'          => 6,
    'choices'           => array(
        'min'               => 0,
        'max'               => 50,
        'step'              => 1
    ),
    'transport'         => 'postMessage',
    'less'              => 'button_alt_hov_border_radius'
) );

/* MOBILE */
Kirki::add_panel( 'mobile', array(
    'priority'          => 260,
    'title'             => esc_html__( '+ Responsiveness', 'ventcamp' ),
    'description'       => esc_html__( 'Styles for mobile mode', 'ventcamp' )
) );

Kirki::add_section( 'mobile_phone', array(
    'title'             => esc_html__( 'Phone', 'ventcamp' ),
    'panel'             => 'mobile',
    'priority'          => 10,
    'capability'        => 'edit_theme_options'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'slider',
    'settings'          => 'phone_row_padding',
    'label'             => esc_html__( 'Row height', 'ventcamp' ),
    'section'           => 'mobile_phone',
    'default'           => 70,
    'priority'          => 10,
    'choices'           => array(
        'min'               => 0,
        'max'               => 250,
        'step'              => 1
    ),
    'transport'         => 'postMessage',
    'less'              => 'phone_row_padding'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'typography',
    'settings'          => 'phone_body_text',
    'label'             => esc_html__( 'Body text', 'ventcamp' ),
    'section'           => 'mobile_phone',
    'priority'          => 20,
    'default'           => array(
        'font-size'         => '13px'
    ),
    'choices'           => array(
        'font-size'         => true
    ),
    'transport'         => 'postMessage',
    'less'              => 'phone_body_text'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'typography',
    'settings'          => 'phone_heading_text',
    'label'             => esc_html__( 'Header text', 'ventcamp' ),
    'section'           => 'mobile_phone',
    'priority'          => 30,
    'default'           => array(
        'font-size'         => '30px'
    ),
    'choices'           => array(
        'font-size'         => true
    ),
    'transport'         => 'postMessage',
    'less'              => 'phone_heading_text'
) );


Kirki::add_section( 'mobile_tablet', array(
    'title'             => esc_html__( 'Tablet', 'ventcamp' ),
    'panel'             => 'mobile',
    'priority'          => 20,
    'capability'        => 'edit_theme_options'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'slider',
    'settings'          => 'tablet_row_padding',
    'label'             => esc_html__( 'Row height', 'ventcamp' ),
    'section'           => 'mobile_tablet',
    'default'           => 90,
    'priority'          => 10,
    'choices'           => array(
        'min'               => 0,
        'max'               => 120,
        'step'              => 1
    ),
    'transport'         => 'postMessage',
    'less'              => 'tablet_row_padding'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'typography',
    'settings'          => 'tablet_body_text',
    'label'             => esc_html__( 'Body text', 'ventcamp' ),
    'section'           => 'mobile_tablet',
    'priority'          => 20,
    'default'           => array(
        'font-size'         => '13px'
    ),
    'choices'           => array(
        'font-size'         => true
    ),
    'transport'         => 'postMessage',
    'less'              => 'tablet_body_text'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'typography',
    'settings'          => 'tablet_heading_text',
    'label'             => esc_html__( 'Header text', 'ventcamp' ),
    'section'           => 'mobile_tablet',
    'priority'          => 30,
    'default'           => array(
        'font-size'         => '40px'
    ),
    'choices'           => array(
        'font-size'         => true
    ),
    'transport'         => 'postMessage',
    'less'              => 'tablet_heading_text'
) );

Kirki::add_section( 'mobile_menu', array(
    'title'             => esc_html__( 'Mobile menu', 'ventcamp' ),
    'panel'             => 'mobile',
    'priority'          => 30,
    'capability'        => 'edit_theme_options'
) );


Kirki::add_field( 'ventcamp_theme_config', array(
    'type'              => 'checkbox',
    'settings'          => 'mobile_menu_hide_logo',
    'label'             => esc_html__( 'Hide logo', 'ventcamp' ),
    'section'           => 'mobile_menu',
    'default'           => 0,
    'priority'          => 1,
    'transport'         => 'postMessage',
    'less'              => 'mobile_menu_hide_logo'
) );


Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'mobile_menu_text_color',
    'label'             => esc_html__( 'Text color', 'ventcamp' ),
    'section'           => 'mobile_menu',
    'type'              => 'color',
    'default'           => '#262627',
    'priority'          => 2,
    'transport'         => 'postMessage',
    'less'              => 'mobile_menu_text_color'
) );


Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'mobile_menu_background_color',
    'label'             => esc_html__( 'Background color color', 'ventcamp' ),
    'section'           => 'mobile_menu',
    'type'              => 'color',
    'default'           => '#262627',
    'priority'          => 3,
    'transport'         => 'postMessage',
    'less'              => 'mobile_menu_background_color'
) );

/* CUSTOM CODE */
Kirki::add_panel( 'customcode', array(
    'priority'          => 270,
    'title'             => esc_html__( '+ Custom code', 'ventcamp' ),
    'description'       => esc_html__( 'Styles for mobile mode', 'ventcamp' )
) );

Kirki::add_section( 'customcode_global', array(
    'title'             => esc_html__( 'Global', 'ventcamp' ),
    'panel'             => 'customcode',
    'priority'          => 10,
    'capability'        => 'edit_theme_options'
) );


Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'customcode_global_css',
    'label'             => esc_html__( 'CSS', 'ventcamp' ),
    'section'           => 'customcode_global',
    'type'              => 'textarea',
    'priority'          => 10,
    'default'           => '',
    'choices'           => array(
        'language'          => 'css',
        'theme'             => 'matherial'
    )
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'customcode_global_js',
    'label'             => esc_html__( 'JavaScript', 'ventcamp' ),
    'section'           => 'customcode_global',
    'type'              => 'textarea',
    'priority'          => 20,
    'default'           => '',
    'choices'           => array(
        'language'          => 'javascript',
        'theme'             => 'matherial'
    )
) );

Kirki::add_section( 'customcode_tablet', array(
    'title'             => esc_html__( 'Tablet', 'ventcamp' ),
    'panel'             => 'customcode',
    'priority'          => 20,
    'capability'        => 'edit_theme_options'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'customcode_tablet_css',
    'label'             => esc_html__( 'CSS', 'ventcamp' ),
    'section'           => 'customcode_tablet',
    'type'              => 'textarea',
    'priority'          => 10,
    'default'           => '',
    'choices'           => array(
        'language'          => 'css',
        'theme'             => 'matherial'
    )
) );

Kirki::add_section( 'customcode_phone', array(
    'title'             => esc_html__( 'Phone', 'ventcamp' ),
    'panel'             => 'customcode',
    'priority'          => 30,
    'capability'        => 'edit_theme_options'
) );

Kirki::add_field( 'ventcamp_theme_config', array(
    'settings'          => 'customcode_phone_css',
    'label'             => esc_html__( 'CSS', 'ventcamp' ),
    'section'           => 'customcode_phone',
    'type'              => 'textarea',
    'priority'          => 10,
    'default'           => '',
    'choices'           => array(
        'language'          => 'css',
        'theme'             => 'matherial'
    )
) );

class Ventcamp_Customizer {
    private static $instance = null;
    private $wp_customize;
    public static function get_instance() {
        if ( null === self::$instance ) {
            self::$instance = new self();
        }
        return self::$instance;
    }

    private function __construct() {
        add_action( 'customize_controls_print_scripts', array( $this, 'customize_controls_print_scripts' ) );
        add_action( 'wp_ajax_customizer_reset', array( $this, 'ajax_customizer_reset' ) );
        add_action( 'customize_register', array( $this, 'customize_register' ) );

    }

    public function customize_controls_print_scripts() {
        wp_enqueue_style( 'ventcamp-customizer', get_template_directory_uri() . '/css/ventcamp-customizer.css', array(), strval(filemtime(get_template_directory() . '/css/ventcamp-customizer.css')));
        wp_enqueue_script( 'ventcamp-customizer', get_template_directory_uri() . '/js/ventcamp-customizer.js', array( 'jquery' ), strval(filemtime(get_template_directory() . '/js/ventcamp-customizer.js')) );
        wp_localize_script( 'ventcamp-customizer', '_VCCustomizer', array(
                'reset'   => esc_html__( 'Reset', 'ventcamp' ),
                'confirm' => esc_html__( "Attention! This will remove all customizations ever made via customizer!\n\nThis action is irreversible!", 'ventcamp' ),
                'nonce'   => array(
                    'reset' => wp_create_nonce( 'customizer-reset' ),
                )
            ) );
        }

    public function customize_register( $wp_customize ) {
        $this->wp_customize = $wp_customize;
    }

    public function ajax_customizer_reset() {
        if ( ! $this->wp_customize->is_preview() ) {
            wp_send_json_error( 'not_preview' );
        }
        if ( ! check_ajax_referer( 'customizer-reset', 'nonce', false ) ) {
            wp_send_json_error( 'invalid_nonce' );
        }
        $this->reset_customizer();
        wp_send_json_success();
    }

    public function reset_customizer() {
		ventcamp_less_compile();
        $settings = $this->wp_customize->settings();
        delete_option('ventcamp_customizer');
    }
}

Ventcamp_Customizer::get_instance();
