<?php

if( !function_exists('ventcamp_logo_callback') ) {
	function ventcamp_logo_callback( $control ) {

		// $mngr = $control->manager->get_setting('');

		$radio_setting = Kirki::get_option( 'ventcamp_theme_config', 'logotype_type' );

		// = $control->manager->get_setting('logotype_type')->value();
		$control_id = $control->id;

		$images_controls = array('logotype_image','logotype_image_retina');
		$text_controls = array('logotype_text','logotype_typography', 'logotype_font_family','logotype_font_weight','logotype_font_size','logotype_font_letter_spacing', 'logotype_font_style', 'logotype_color');

		if ( in_array($control_id, $text_controls) && $radio_setting == 'text' ) return true;
		if ( in_array($control_id, $images_controls) && $radio_setting == 'image' ) return true;

		return false;
	}
}

if( !function_exists('ventcamp_button_icon_callback') ) {
	function ventcamp_button_icon_callback($control){
		return Kirki::get_option( 'ventcamp_theme_config', 'buttons_style_add_icon' );
	}
}

if( !function_exists('ventcamp_boxed_background_callback') ) {
	function ventcamp_boxed_background_callback( $control ) {
		return Kirki::get_option( 'ventcamp_theme_config', 'layout_boxed' );
	}
}

if( !function_exists('ventcamp_footer_widgets_callback') ) {
	function ventcamp_footer_widgets_callback($control){
		return Kirki::get_option( 'ventcamp_theme_config', 'footer_widgets_enable' );
	}
}

if( !function_exists('ventcamp_hero_enable_callback') ) {
	function ventcamp_hero_enable_callback($control){
		return intval(Kirki::get_option( 'ventcamp_theme_config', 'hero_display' )) > 0;
	}
}


if( !function_exists('ventcamp_hero_background_type_callback') ) {
	function ventcamp_hero_background_type_callback($control){
		if(!ventcamp_hero_enable_callback(null)){
			return false;
		}

		$background_type_setting = Kirki::get_option( 'ventcamp_theme_config', 'hero_background_type' );
		$video_background_setting = Kirki::get_option( 'ventcamp_theme_config', 'hero_background_video_settings' );

		$control_id = $control->id;

		if($control_id == 'hero_background_color' && $background_type_setting == 'color'){
			return true;
		}else if($control_id == 'hero_background_image' && $background_type_setting == 'image'){
			return true;
		}else if($background_type_setting == 'video'){
			if ($control_id == 'hero_background_video' || $control_id == 'hero_background_video_settings'){
				return true;
			}else if ($control_id == 'hero_background_video_controls' && is_array($video_background_setting) && in_array('controls', $video_background_setting)){
				return true;
			}
		}

		return false;
	}
}

if( !function_exists('ventcamp_hero_buttons_callback') ) {
	function ventcamp_hero_buttons_callback($control){
		if(!ventcamp_hero_enable_callback(null)){
			return false;
		}

		$control_id = $control->id;

		$hero_buttons_setting = Kirki::get_option( 'ventcamp_theme_config', 'hero_buttons' );

		if(intval($hero_buttons_setting) == 0){
			return false;
		}else if(intval($hero_buttons_setting) == 2){
			return true;
		}else if(intval($hero_buttons_setting) == 1 &&
			($control_id == 'hero_button_text' || $control_id == 'hero_button_link') ){
			return true;
		}

	}
}

if( !function_exists('ventcamp_hero_top_line_callback') ) {
	function ventcamp_hero_top_line_callback($control){
		if(!ventcamp_hero_enable_callback(null)){
			return false;
		}

		$control_id = $control->id;

		$hero_top_line_setting = Kirki::get_option( 'ventcamp_theme_config', 'hero_top_line_type' );

		if($control_id == 'hero_social' && $hero_top_line_setting == 'social'){
			return true;
		}else if($control_id == 'hero_top_line_text' && $hero_top_line_setting == 'text'){
			return true;
		}else{
			return false;
		}

	}
}

if( !function_exists('ventcamp_hero_overlay_callback') ) {
	function ventcamp_hero_overlay_callback($control){
		if(!ventcamp_hero_enable_callback(null)){
			return false;
		}

		$overlay_type_setting = Kirki::get_option( 'ventcamp_theme_config', 'hero_overlay_type' );

		$control_id = $control->id;

		if($control_id == 'hero_overlay_color' && $overlay_type_setting == 'color'){
			return true;
		}else if($control_id == 'hero_overlay_gradient' && $overlay_type_setting == 'gradient'){
			return true;
		}

		return false;
	}
}

if( !function_exists('ventcamp_hero_heading_type_callback') ) {
	function ventcamp_hero_heading_type_callback($control){
		if(!ventcamp_hero_enable_callback(null)){
			return false;
		}

		$radio_setting = Kirki::get_option( 'ventcamp_theme_config', 'hero_heading_type' );

		 // = $control->manager->get_setting('logotype_type')->value();
		$control_id = $control->id;

		$images_controls = array('hero_heading_image','hero_heading_image_retina');
		$text_controls = array('hero_heading_text','hero_heading_typography');

		if ( in_array($control_id, $text_controls) && $radio_setting == 'text' ) return true;
		if ( in_array($control_id, $images_controls) && $radio_setting == 'image' ) return true;

		return false;
	}
}