<?php 

if( function_exists('acf_add_options_page') ) {
	acf_add_options_page(array(
		'page_title' 	=>  esc_html__( 'Event options', 'ventcamp' ),
		'menu_title'	=> esc_html__( 'Event', 'ventcamp' ),
		'menu_slug' 	=> 'vncp-event-options',
		'capability'	=> 'edit_posts',
		'redirect'		=> false,
		'position'		=> '45.5'
	));	
}

/* Event ACF */
if( function_exists('acf_add_local_field_group') ):

acf_add_local_field_group(array (
	'key' => 'group_56549abc623c5',
	'title' => 'Event options',
	'fields' => array (
		array (
			'key' => 'field_5654ad6404798',
			'label' => 'Event type',
			'name' => 'vncp_event_type',
			'type' => 'radio',
			'instructions' => 'Choose your event type',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				//'one_day_no_threads' => 'One day event without threads',
				//'one_day_with_threads' => 'One day with threads',
				'multi_day_with_threads' => 'ADD Threads/Auditoriums',
				'multi_day_no_threads' => 'REMOVE Threads/Auditoriums',
				
			),
			'other_choice' => 0,
			'save_other_choice' => 0,
			'default_value' => '',
			'layout' => 'vertical',
		),
		array (
			'key' => 'field_5654b04de8a66',
			'label' => 'Schedule with threads/auditoriums',
			'name' => 'vncp_md_w_thrds',
			'type' => 'repeater',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_5654ad6404798',
						'operator' => '==',
						'value' => 'multi_day_with_threads',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'collapsed' => 'field_5654b04ee8a67',
			'min' => '',
			'max' => '',
			'layout' => 'block',
			'button_label' => 'Add day',
			'sub_fields' => array (
				array (
					'key' => 'field_5654b04ee8a67',
					'label' => 'Title',
					'name' => 'title',
					'type' => 'text',
					'instructions' => '',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_5654b04ee8a68',
					'label' => 'Date',
					'name' => 'date',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_5654b06ae8a6f',
					'label' => 'Threads',
					'name' => 'threads',
					'type' => 'repeater',
					'instructions' => '',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'collapsed' => 'field_5654b08ae8a70',
					'min' => '',
					'max' => '',
					'layout' => 'block',
					'button_label' => 'Add thread',
					'sub_fields' => array (
						array (
							'key' => 'field_5654b08ae8a70',
							'label' => 'Thread title',
							'name' => 'title',
							'type' => 'text',
							'instructions' => '',
							'required' => 1,
							'conditional_logic' => 0,
							'wrapper' => array (
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => '',
							'append' => '',
							'maxlength' => '',
							'readonly' => 0,
							'disabled' => 0,
						),
						array (
							'key' => 'field_5654b09ce8a71',
							'label' => 'Thread Schedule',
							'name' => 'lections',
							'type' => 'repeater',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array (
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'collapsed' => 'field_5654b09ce8a72',
							'min' => '',
							'max' => '',
							'layout' => 'block',
							'button_label' => 'Add',
							'sub_fields' => array (
								array (
									'key' => 'field_5654b09ce8a72',
									'label' => 'Title',
									'name' => 'title',
									'type' => 'text',
									'instructions' => 'Lection title',
									'required' => 1,
									'conditional_logic' => 0,
									'wrapper' => array (
										'width' => '',
										'class' => '',
										'id' => '',
									),
									'default_value' => '',
									'placeholder' => '',
									'prepend' => '',
									'append' => '',
									'maxlength' => '',
									'readonly' => 0,
									'disabled' => 0,
								),
								array (
									'key' => 'field_5654b09ce8a73',
									'label' => 'Time',
									'name' => 'time',
									'type' => 'text',
									'instructions' => '',
									'required' => 0,
									'conditional_logic' => 0,
									'wrapper' => array (
										'width' => '',
										'class' => '',
										'id' => '',
									),
									'default_value' => '',
									'placeholder' => '',
									'prepend' => '',
									'append' => '',
									'maxlength' => '',
									'readonly' => 0,
									'disabled' => 0,
								),
								array (
									'key' => 'field_5654b09ce8a74',
									'label' => 'Description',
									'name' => 'description',
									'type' => 'textarea',
									'instructions' => '',
									'required' => 0,
									'conditional_logic' => 0,
									'wrapper' => array (
										'width' => '',
										'class' => '',
										'id' => '',
									),
									'default_value' => '',
									'placeholder' => '',
									'maxlength' => '',
									'rows' => 12,
									'new_lines' => '',
									'readonly' => 0,
									'disabled' => 0,
								),
								array (
									'key' => 'field_5654b09ce8a75',
									'label' => 'Lector',
									'name' => 'lector',
									'type' => 'text',
									'instructions' => '',
									'required' => 0,
									'conditional_logic' => 0,
									'wrapper' => array (
										'width' => '',
										'class' => '',
										'id' => '',
									),
									'default_value' => '',
									'placeholder' => '',
									'prepend' => '',
									'append' => '',
									'maxlength' => '',
									'readonly' => 0,
									'disabled' => 0,
								),
								array (
									'key' => 'field_5654b09ce8a76',
									'label' => 'Icon',
									'name' => 'icon',
									'type' => 'image',
									'instructions' => '',
									'required' => 0,
									'conditional_logic' => 0,
									'wrapper' => array (
										'width' => '',
										'class' => '',
										'id' => '',
									),
									'return_format' => 'array',
									'preview_size' => '70x70',
									'library' => 'all',
									'min_width' => '',
									'min_height' => '',
									'min_size' => '',
									'max_width' => '',
									'max_height' => '',
									'max_size' => '',
									'mime_types' => '',
								),
							),
						),
					),
				),
			),
		),
		array (
			'key' => 'field_5654af68487b7',
			'label' => 'Schedule without threads/auditoriums',
			'name' => 'vncp_md_wo_thrds',
			'type' => 'repeater',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_5654ad6404798',
						'operator' => '==',
						'value' => 'multi_day_no_threads',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'collapsed' => 'field_5654af8c487b8',
			'min' => '',
			'max' => '',
			'layout' => 'block',
			'button_label' => 'Add day',
			'sub_fields' => array (
				array (
					'key' => 'field_5654af8c487b8',
					'label' => 'Title',
					'name' => 'title',
					'type' => 'text',
					'instructions' => '',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_5654af9a487b9',
					'label' => 'Date',
					'name' => 'date',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_5654afb0487ba',
					'label' => 'Thread schedule',
					'name' => 'lections',
					'type' => 'repeater',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'collapsed' => 'field_5654afb0487bb',
					'min' => '',
					'max' => '',
					'layout' => 'block',
					'button_label' => 'Add',
					'sub_fields' => array (
						array (
							'key' => 'field_5654afb0487bb',
							'label' => 'Title',
							'name' => 'title',
							'type' => 'text',
							'instructions' => 'Lection title',
							'required' => 1,
							'conditional_logic' => 0,
							'wrapper' => array (
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => '',
							'append' => '',
							'maxlength' => '',
							'readonly' => 0,
							'disabled' => 0,
						),
						array (
							'key' => 'field_5654afb0487bc',
							'label' => 'Time',
							'name' => 'time',
							'type' => 'text',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array (
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => '',
							'append' => '',
							'maxlength' => '',
							'readonly' => 0,
							'disabled' => 0,
						),
						array (
							'key' => 'field_5654afb1487bd',
							'label' => 'Description',
							'name' => 'description',
							'type' => 'textarea',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array (
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'maxlength' => '',
							'rows' => 12,
							'new_lines' => '',
							'readonly' => 0,
							'disabled' => 0,
						),
						array (
							'key' => 'field_5654afb1487be',
							'label' => 'Lector',
							'name' => 'lector',
							'type' => 'text',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array (
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'default_value' => '',
							'placeholder' => '',
							'prepend' => '',
							'append' => '',
							'maxlength' => '',
							'readonly' => 0,
							'disabled' => 0,
						),
						array (
							'key' => 'field_5654afb1487bf',
							'label' => 'Icon',
							'name' => 'icon',
							'type' => 'image',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array (
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'return_format' => 'array',
							'preview_size' => '70x70',
							'library' => 'all',
							'min_width' => '',
							'min_height' => '',
							'min_size' => '',
							'max_width' => '',
							'max_height' => '',
							'max_size' => '',
							'mime_types' => '',
						),
					),
				),
			),
		),
		
	),
	'location' => array (
		array (
			array (
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'vncp-event-options',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'seamless',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

endif;