<?php 
defined('ABSPATH') or die('No direct access');

// Remove Shop page title
add_filter('woocommerce_show_page_title',false);

// Remove Product ordering from Shop page
remove_action( 'woocommerce_before_shop_loop', 'woocommerce_catalog_ordering', 30 );

// Remove Product product count from Shop page
function woocommerce_result_count() {
        return;
}

if( !function_exists('ventcamp_setup_woocommerce') ) {
	function ventcamp_setup_woocommerce(){
		add_theme_support( 'woocommerce' );
	}
}
add_action( 'after_setup_theme', 'ventcamp_setup_woocommerce' );

//Redirect to checkout after tickets is added to cart
if( !function_exists('ventcamp_redirect_to_checkout') ) {
	function ventcamp_redirect_to_checkout() {
		$checkout_url = WC()->cart->get_cart_url();
		return $checkout_url;
	}
}
add_filter ('woocommerce_add_to_cart_redirect', 'ventcamp_redirect_to_checkout');

//Remove unused product types
if( !function_exists('ventcamp_product_types') ) {
	function ventcamp_product_types( $product_types ) {
		$product_types['simple'] =  esc_html__('Ticket', 'ventcamp');
		// unset( $product_types['simple'] );
		unset( $product_types['grouped'] );
		unset( $product_types['variable'] );
		unset( $product_types['external'] );
	 
		return $product_types;
	}
}
add_filter( 'product_type_selector', 'ventcamp_product_types', 10, 2 );



// Wrappers for WooCommerce pages that add bootstrap classes to 
function ventcamp_prepare_wrappers()
{
	//remove_action( 'woocommerce_before_cart', 'woocommerce_output_content_wrapper', 10);
	//remove_action( 'woocommerce_after_cart', 'woocommerce_output_content_wrapper_end', 10);

	add_action('woocommerce_before_cart', 'ventcamp_bootstrap_wrap_start', 10);
	add_action('woocommerce_after_cart', 'ventcamp_bootstrap_wrap_end', 10);

	add_action('woocommerce_before_checkout_form', 'ventcamp_bootstrap_wrap_start', 10);
	add_action('woocommerce_after_checkout_form', 'ventcamp_bootstrap_wrap_end', 10);	
	
	add_action('woocommerce_before_checkout_notice', 'ventcamp_bootstrap_wrap_start', 10);
	add_action('woocommerce_after_checkout_notice', 'ventcamp_bootstrap_wrap_end', 10);	
	
	add_action('woocommerce_before_cart_empty', 'ventcamp_bootstrap_wrap_start', 10);
	add_action('woocommerce_after_cart_empty', 'ventcamp_bootstrap_wrap_end', 10);
}
add_action( 'wp_head', 'ventcamp_prepare_wrappers' );

function ventcamp_bootstrap_wrap_start() {
  echo '<section class="woocommerce-wrap">'.
	   '<div class="col-md-offset-2 col-md-8 col-sm-8">';
}

function ventcamp_bootstrap_wrap_end() {
  echo '</div>'.
	   '</section>';
}
