( function( $ ) {
    $(document).on('ready', function() {
        var $customzierHeaderActions = $('#customize-header-actions'),
            $resetButton = $('<input type="submit" name="ventcamp-reset" id="ventcamp-reset" class="button-secondary button">')
            .attr('value', _VCCustomizer.reset);

        $resetButton.on('click', function (event) {
            event.preventDefault();

            var data = {
                wp_customize: 'on',
                action: 'customizer_reset',
                nonce: _VCCustomizer.nonce.reset
            };

            var r = confirm(_VCCustomizer.confirm);

            if (!r) return;

            $resetButton.attr('disabled', 'disabled');

            $.post(ajaxurl, data, function () {
                wp.customize.state('saved').set(true);
                location.reload();
            });
        });

        $customzierHeaderActions.append($resetButton);

        var mode = undefined;
        var fromBack = false;
        var $customizePreviewContainer = $('#customize-preview');

        $('#accordion-section-mobile_tablet').click(function(event) {
            if(!fromBack){
                mode = 'tablet';
                $customizePreviewContainer.addClass('vc-mobile-preview vc-tablet-preview');
            }else{
                fromBack = false;
            }
        });

        $('#accordion-section-mobile_phone').click(function(event) {
            if(!fromBack){
                mode = 'phone';
                $customizePreviewContainer.addClass('vc-mobile-preview vc-phone-preview');
            }else{
                fromBack = false;
            }

        });

        $('#accordion-section-mobile_menu').click(function(event) {
            if(!fromBack){
                mode = 'mobile-menu';
                $customizePreviewContainer.addClass('vc-mobile-preview vc-mobile-menu-preview');
            }else{
                fromBack = false;
            }
        });

        $('button.customize-section-back').click(function(event) {
            if(mode){
                $customizePreviewContainer.removeClass('vc-mobile-preview');
                $customizePreviewContainer.removeClass('vc-' + mode + '-preview');
                mode = undefined;
                fromBack = true;
            }
        });

    });

    // Dirty hack - customizer iframe ready callback
    function customizerIframeReady(ready, load) {
        var interval = setInterval( function() {
            if ( $('#customize-preview').is('.iframe-ready') ) {
                if ( typeof ready == 'function' ) ready(window.frames[0]);
                clearInterval(interval);
            }
        }, 10);
    };

    function loadFont(fontName, fontWeight) {
        if ( !fontName ||
             fontName == 'Roboto' ||
             fontName == 'Georgia,Times,"Times New Roman",serif' ||
             fontName == 'Helvetica,Arial,sans-serif' ||
             fontName == 'Monaco,"Lucida Sans Typewriter","Lucida Typewriter","Courier New",Courier,monospace' ) {
            return false;
        }

        var familiesStr = fontName + ':' + fontWeight + ':latin',
            innerWindow = window.frames[0].window,
            innerDocument = window.frames[0].document,
            wf = innerDocument.createElement('script'), s;

        if ( !innerWindow.WebFontConfig ) innerWindow.WebFontConfig = { google: { families: [] } }
        innerWindow.WebFontConfig.google.families.push(familiesStr);

        wf.src = ('https:' == innerDocument.location.protocol ? 'https' : 'http') + '://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js';
        wf.type = 'text/javascript';
        wf.async = 'true';
        s = innerDocument.getElementsByTagName('script')[0];
        s.parentNode.insertBefore(wf, s);


        // WebFontConfig = {
        //     google: {
        //         families: [
        //             'Roboto:400,700:latin,cyrillic',
        //             'Lato:400,900italic:latin',
        //             'Open+Sans+Condensed:300:latin,cyrillic'
        //         ]
        //     }
        // };
    };

    function updateSettingsObj(setting, value) {
        if ( !setting || !value ) return false;

        var param = setting.replace('ventcamp_customizer[', ''), obj = {};
        param = '@' + param.replace(']', '');

        if ( value == true ) value = 1;
        else if ( value == false ) value = 0;
        else if ( /^#(?:[0-9a-fA-F]{3}){1,2}$/.test(value) ) value = value;
        else if ( parseInt(value) ) value = parseInt(value);
        else if ( typeof value == 'object' ) {
            var fontChages = false;

            $.each(value, function(i, v) {
                var paramInner = param + '_' + i.replace('-', '_')
                    settingInner = window.lessUpdatedVariables[paramInner];

                if ( v == true ) v = 1;
                else if ( v == false ) v = 0;

                if ( settingInner && settingInner != v ) {
                    if ( i == 'font-family' || i == 'font-weight' ) fontChages = true;
                }

                window.lessUpdatedVariables[paramInner] = v;
            });

            if ( fontChages ) {
                loadFont(value['font-family'], value['font-weight']);
            }

            return;
        }

        window.lessUpdatedVariables[param] = value;

    };

    function getLessSettings() {
        var customizerSettings = wp.customize.settings.settings,
            customizerIframeReadyFunction = function(iframe) {
                var iWindow = iframe.window,
                    less = iWindow.less;

                if ( iWindow && less ) {
                    less.modifyVars(window.lessUpdatedVariables);
                    less.refreshStyles();
                }
            };

        if ( !window.lessUpdatedVariables ) window.lessUpdatedVariables = {};

        $.each(customizerSettings, function(i, v) {
            if ( this.transport == 'postMessage' && /ventcamp_customizer/.test(i) ) {
                var setting = i;

                updateSettingsObj(setting, this.value);

                wp.customize( setting, function( value ) {
                    value.bind( function( newval ) {
                        var less = window.frames[0].window.less;

                        updateSettingsObj(setting, newval);

                        less.modifyVars(window.lessUpdatedVariables);
                        less.refreshStyles();
                    });
                });

            }
        });

        customizerIframeReady(customizerIframeReadyFunction);

        setInterval( function() {
            if ( $('#customize-preview>iframe').length > 1 ) {
                customizerIframeReadyFunction(window.frames[1]);
            }
        }, 1);
    };

    $(window).on('load', function() {
        getLessSettings();
    });

})(jQuery);
