<?php
/**
 * Cart Page
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/cart/cart.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see     http://docs.woothemes.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.3.8
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

wc_print_notices();

do_action( 'woocommerce_before_cart' ); ?>
<script>
var Navegadores = ["MSIE", "Firefox", "Safari", "Chrome", "Opera"];

function obtenerIdNavegador() {
    var aKeys = ["MSIE", "Firefox", "Safari", "Chrome", "Opera"];
	sUsrAg = navigator.userAgent, nIdx = aKeys.length - 1;
	
	for (nIdx; nIdx > -1 && sUsrAg.indexOf(aKeys[nIdx]) === -1; nIdx--);
	return nIdx;
}

var indiceNavegador = obtenerIdNavegador();
var Navegador = Navegadores[indiceNavegador];

</script>
<form action="<?php echo esc_url( wc_get_cart_url() ); ?>" method="post">

<?php do_action( 'woocommerce_before_cart_table' ); ?>

<table class="shop_table shop_table_responsive cart" cellspacing="0">
	<thead>
		<tr>
			<th class="product-remove">&nbsp;</th>
			<th class="product-thumbnail">&nbsp;</th>
			<th class="product-name"><?php esc_html__( 'Product', 'ventcamp' ); ?></th>
			<th class="product-price"><?php esc_html__( 'Price', 'ventcamp' ); ?></th>
			<th class="product-quantity"><?php esc_html__( 'Quantity', 'ventcamp' ); ?></th>
			<th class="product-subtotal"><?php esc_html__( 'Total', 'ventcamp' ); ?></th>
		</tr>
	</thead>
	<tbody>
		<?php do_action( 'woocommerce_before_cart_contents' ); ?>

		<?php
		foreach ( WC()->cart->get_cart() as $cart_item_key => $cart_item ) {
			$_product     = apply_filters( 'woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key );
			$product_id   = apply_filters( 'woocommerce_cart_item_product_id', $cart_item['product_id'], $cart_item, $cart_item_key );

			if ( $_product && $_product->exists() && $cart_item['quantity'] > 0 && apply_filters( 'woocommerce_cart_item_visible', true, $cart_item, $cart_item_key ) ) {
				?>
				<tr class="<?php echo esc_attr( apply_filters( 'woocommerce_cart_item_class', 'cart_item', $cart_item, $cart_item_key ) ); ?>">

					<td class="product-remove">
						<?php
							echo apply_filters( 'woocommerce_cart_item_remove_link', sprintf(
								'<a href="%s" class="remove" title="%s" data-product_id="%s" data-product_sku="%s">&times;</a>',
								esc_url( WC()->cart->get_remove_url( $cart_item_key ) ),
								esc_html__( 'Remove this item', 'ventcamp' ),
								esc_attr( $product_id ),
								esc_attr( $_product->get_sku() )
							), $cart_item_key );
						?>
					</td>

					<td class="product-thumbnail">
						<?php
						/*MDF*/
						/*
						 * c1b70d965ca504aa751ddb62ad69c63f=>PRECONGRESOEQUINOS
						 * 177540c7bcb8db31697b601642eac8d4=>Precongreso Animales de Compañia
						 * 3a0844cee4fcf57de0c71e9ad3035478=>Registro Congreso AC ZAIC
						 * 2836be05e71a8f34902a6e6b37350134=>Registro Congreso Equinos ZAIC
						 */
						 /*MDF*/
							$thumbnail = apply_filters( 'woocommerce_cart_item_thumbnail', $_product->get_image(), $cart_item, $cart_item_key );

							if ( ! $_product->is_visible() ) {
								echo $thumbnail;
							} else {
								printf( '<a id="'.$cart_item_key.'" href="%s" class="productLingImageContainerMDF">%s</a>', esc_url( $_product->get_permalink( $cart_item ) ), $thumbnail );
							}
						?>
						<script>
							
							$(document).ready(function(){
								//Cambio de imgs dimensionadas.
								switch(Navegador){
									case "Firefox":
									case "Safari":
									case "Chrome":
									case "Opera":
										$('a#<?=$cart_item_key?>.productLingImageContainerMDF > img').ready(function(){
											var srcORG = $('a#<?=$cart_item_key?>.productLingImageContainerMDF > img').attr('src');
											var srcMDF = srcORG.replace("-180x180","");
											$('a#<?=$cart_item_key?>.productLingImageContainerMDF > img').attr('src',srcMDF);
											$('a#<?=$cart_item_key?>.productLingImageContainerMDF > img').removeAttr('srcset');
										});
									break;
									case "MSIE":
									default:
										var aImgsChilds = document.getElementById('<?=$cart_item_key?>').childNodes;
										var srcORG = aImgsChilds[0].getAttribute("src");
										var srcMDF = srcORG.replace("-180x180","");
										aImgsChilds[0].setAttribute("src",srcMDF);
									break;
								}
								
							});
						</script>
					</td>

					<td class="product-name" data-title="<?php esc_html__( 'Product', 'ventcamp' ); ?>" align="center"><b>Concepto</b><br />
						<?php
							if ( ! $_product->is_visible() ) {
								echo apply_filters( 'woocommerce_cart_item_name', $_product->get_title(), $cart_item, $cart_item_key ) . '&nbsp;';
							} else {
								echo apply_filters( 'woocommerce_cart_item_name', sprintf( '<a href="%s">%s </a>', esc_url( $_product->get_permalink( $cart_item ) ), $_product->get_title() ), $cart_item, $cart_item_key );
							}

							// Meta data
							echo WC()->cart->get_item_data( $cart_item );

							// Backorder notification
							if ( $_product->backorders_require_notification() && $_product->is_on_backorder( $cart_item['quantity'] ) ) {
								echo '<p class="backorder_notification">' . esc_htmlesc_html__( 'Available on backorder', 'ventcamp' ) . '</p>';
							}
						?>
					</td>

					<td class="product-price" data-title="<?php esc_html__( 'Price', 'ventcamp' ); ?>" align="center"><b>Precio Unitario</b><br />
						<?php
							echo apply_filters( 'woocommerce_cart_item_price', WC()->cart->get_product_price( $_product ), $cart_item, $cart_item_key );
						?>
					</td>

					<td class="product-quantity" data-title="<?php esc_html__( 'Quantity', 'ventcamp' ); ?>"><b>Cantidad</b><br />
						<?php
							if ( $_product->is_sold_individually() ) {
								$product_quantity = sprintf( '1 <input type="hidden" name="cart[%s][qty]" value="1" />', $cart_item_key );
							} else {
								$product_quantity = woocommerce_quantity_input( array(
									'input_name'  => "cart[{$cart_item_key}][qty]",
									'input_value' => $cart_item['quantity'],
									//'max_value'   => $_product->backorders_allowed() ? '' : $_product->get_stock_quantity(),//ORG
									'max_value'   => 1,//MDF
									'min_value'   => '0'
								), $_product, false );
							}

							echo apply_filters( 'woocommerce_cart_item_quantity', $product_quantity, $cart_item_key, $cart_item );
						?>
					</td>

					<td class="product-subtotal" data-title="<?php esc_html__( 'Total', 'ventcamp' ); ?>"><b>Total</b><br />
						<?php
							echo apply_filters( 'woocommerce_cart_item_subtotal', WC()->cart->get_product_subtotal( $_product, $cart_item['quantity'] ), $cart_item, $cart_item_key );
						?>
					</td>
				</tr>
				<?php
			}
		}

		do_action( 'woocommerce_cart_contents' );
		?>
		<tr>
			<td colspan="6" class="actions">

				<?php if ( wc_coupons_enabled() ) { ?>
					<div class="coupon">

						<label for="coupon_code"><?php esc_html__( 'Coupon', 'ventcamp' ); ?>:</label> <input type="text" name="coupon_code" class="input-text" id="coupon_code" value="" placeholder="<?php esc_attr_e( 'Codigo', 'ventcamp' ); ?>" /> <input type="submit" class="button" name="apply_coupon" value="<?php esc_attr_e( 'Aplicar Codigo', 'ventcamp' ); ?>" />
						<!--label for="coupon_code"><?php esc_html__( 'Coupon', 'ventcamp' ); ?>:</label> <input type="text" name="coupon_code" class="input-text" id="coupon_code" value="" placeholder="<?php esc_attr_e( 'Coupon code', 'ventcamp' ); ?>" /> <input type="submit" class="button" name="apply_coupon" value="<?php esc_attr_e( 'Apply Coupon', 'ventcamp' ); ?>" /--><?php /*ORG*/ ?>

						<?php do_action( 'woocommerce_cart_coupon' ); ?>
					</div>
				<?php } ?>

				<input type="submit" class="btn btn-alt btn-sm" name="update_cart" value="<?php esc_attr_e( 'Actualizar Registro', 'ventcamp' ); ?>" />
				<!--input type="submit" class="btn btn-alt btn-sm" name="update_cart" value="<?php esc_attr_e( 'Update Cart', 'ventcamp' ); ?>" /--><?php /*ORG*/ ?>

				<?php do_action( 'woocommerce_cart_actions' ); ?>

				<?php wp_nonce_field( 'woocommerce-cart' ); ?>
			</td>
		</tr>

		<?php do_action( 'woocommerce_after_cart_contents' ); ?>
	</tbody>
</table>

<?php do_action( 'woocommerce_after_cart_table' ); ?>

</form>
<div class="cart-collaterals">
	<!--MDF-->
	<div style="float:left; width: 45%; height: auto; padding: 30px 0px 0px 0px; text-align: left;">
		<p style="text-align: justify;">
			<h5>Instrucciones Generales</h5>
			<ol style="font-size: 14px; text-align: justify;">
				<li>Verifica que el concepto y el n&uacute;mero de productos que solicitas sea correcto y corresponda con el precio unitario.</li>
				<li>De no ser as&iacute; rectifica tu pedido y da click en <b>"Actualizar Pedido"</b>.</li>
				<li>Da click en Continuar</li>
			</ol>
		</p><br />
		<p style="text-align: justify;">
			<h5>Instrucciones de pago exclusivo distribuidor</h5>
			<ol style="font-size: 14px; text-align: justify;">
				<li>Si deseas procesar tus registros de manera masiva envianos un correo a <b>info@registrozaic.com</b> con el listado y los c&oacute;digos de registro</li>
				<li>Escoge el numero de registros que deseas pagar.</li>
				<li>Continua y Llena el formulario siguiente.</li>
				<li>Escoge el tipo de pago.</li>
				<li>Acepta los Terminos y Condiciones.</li>
				<li>Da click en realizar pedido.</li>
				<!--li>Si cuentas con un c&oacute;digo, introd&uacute;celo en la caja de c&oacute;digos, y da click en <b>"Aplicar C&oacute;digo"</b>.</li>
				<li>Para procesar varios c&oacute;digos realiza este proceso para cada c&oacute;digo del que dispongas.</li-->
			</ol>
		</p>
	</div>
	<!--MDF-->
	<?php do_action( 'woocommerce_cart_collaterals' ); ?>

</div>

<?php do_action( 'woocommerce_after_cart' ); ?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script>

$(document).ready(function(){
	
	//Navegador = Navegador.toLowerCase();
	switch(Navegador){
		/*case "MSIE":
			console.log("\nIE=>"+Navegador);
			$('a#procedCartPayment').click(function(){
				var celdDeleteCoupon = $('#celdDeleteCoupon > a').size();
				$('procedCartPayment').removeAttr('disabled');
				if(celdDeleteCoupon == 1 || celdDeleteCoupon == "1"){}else{ swal("Registro solo con Beca","Losentimos el registro al Simposio Veterinario Bayer es permitido solo con Beca.","error"); return false; }
			});
		break;*/
		case "Firefox":
		case "Safari":
		case "Chrome":
		case "Opera":
			
			$('a#procedCartPayment').ready(function(){
				var celdDeleteCoupon = $('tr.cart-discount').size();
				
				if(celdDeleteCoupon > 0 ){
					$('#procedCartPayment').removeAttr('disabled');
				}else{ /*$('procedCartPayment').attr('disabled','disabled');*/ }
			});
			
			$('a#procedCartPayment').click(function(){
				var celdDeleteCoupon = $('tr.cart-discount').size();
				
				if(celdDeleteCoupon == 1 || celdDeleteCoupon == "1"){
					
				}else{ swal("Registro solo con Código","Lo sentimos el registro solo es permitido con tu código de registro.","error"); return false; }
			});
			
			
		break;
		case "MSIE":
		default:
			//console.log("\nDEFAULT=>"+Navegador);
			var boton = document.querySelector("#procedCartPayment");
			boton.removeAttribute("disabled");
			boton.onclick = function(){
				var cupon =  document.querySelector('tr.cart-discount');
				
				if(cupon == null || cupon == "" || cupon == 0 || cupon == "0"){
					//console.log("AQUI");
					swal("Registro solo con Código","Lo sentimos el registro solo es permitido con tu código de registro.","error"); 
					return false;
				}else{  }
			}
		break;
	}//switch
	
});
</script>