<?php
/**
 * Checkout Form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/checkout/form-checkout.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

wc_print_notices();

do_action( 'woocommerce_before_checkout_form', $checkout );

// If checkout registration is disabled and not logged in, the user cannot checkout
if ( ! $checkout->enable_signup && ! $checkout->enable_guest_checkout && ! is_user_logged_in() ) {
	echo apply_filters( 'woocommerce_checkout_must_be_logged_in_message', esc_html__( 'You must be logged in to checkout.', 'ventcamp' ) );
	return;
}

?>
<style>
p#billing_myfield14_field{ width: 100%; }
p#billing_myfield14_field #billing_myfield14{ float:left; width: 45%; }
p#billing_myfield14_field div.pseudo-select{ /*float:left; width: 45% !important;*/ }
#genderContainer{ float:right; width: 45%; margin: -30px 0px 0px 0px; }
</style>
<form name="checkout" method="post" class="checkout woocommerce-checkout" action="<?php echo esc_url( wc_get_checkout_url() ); ?>" enctype="multipart/form-data">

	<?php if ( sizeof( $checkout->checkout_fields ) > 0 ) : ?>

		<?php do_action( 'woocommerce_checkout_before_customer_details' ); ?>

		<div class="col2-set" id="customer_details">
			<div class="col-1">
				<?php do_action( 'woocommerce_checkout_billing' ); ?>
			</div>

			<div class="col-2">
				<?php do_action( 'woocommerce_checkout_shipping' ); ?>
			</div>
		</div>

		<?php do_action( 'woocommerce_checkout_after_customer_details' ); ?>

	<?php endif; ?>

	<h5 class="bold uppercase" id="order_review_heading"><?php esc_html__( 'Your order', 'ventcamp' ); ?></h5>

	<?php do_action( 'woocommerce_checkout_before_order_review' ); ?>

	<div id="order_review" class="woocommerce-checkout-review-order">
		<?php do_action( 'woocommerce_checkout_order_review' ); ?>
	</div>

	<?php do_action( 'woocommerce_checkout_after_order_review' ); ?>

</form>

<?php do_action( 'woocommerce_after_checkout_form', $checkout ); ?>
<script>

var Navegadores = ["MSIE", "Firefox", "Safari", "Chrome", "Opera"];

function obtenerIdNavegador() {
    var aKeys = ["MSIE", "Firefox", "Safari", "Chrome", "Opera"];
	sUsrAg = navigator.userAgent, nIdx = aKeys.length - 1;
	
	for (nIdx; nIdx > -1 && sUsrAg.indexOf(aKeys[nIdx]) === -1; nIdx--);
	return nIdx;
}

var indiceNavegador = obtenerIdNavegador();
var Navegador = Navegadores[indiceNavegador];

function facturacionIE(){
	console.log("AQUI facturacionIE");
}

$(document).ready(function(){
	
	switch(Navegador){
		/*case "MSIE":
			console.log("\nIE=>"+Navegador);
			$('a#procedCartPayment').click(function(){
				var celdDeleteCoupon = $('#celdDeleteCoupon > a').size();
				$('procedCartPayment').removeAttr('disabled');
				if(celdDeleteCoupon == 1 || celdDeleteCoupon == "1"){}else{ swal("Registro solo con Beca","Losentimos el registro al Simposio Veterinario Bayer es permitido solo con Beca.","error"); return false; }
			});
		break;*/
		case "Firefox":
		case "Safari":
		case "Chrome":
		case "Opera":
		break;
		case "MSIE":
		default:
		var checkbox = document.querySelector("#billing_myfield15_checkbox");
			checkbox.onclick = function(){
				var hidden = document.querySelector("#billing_myfield15_checkboxhiddenfield");
				var disabledAttr = hidden.getAttribute("disabled");
				if(disabledAttr == ""){
					console.log("VACIO");
					document.querySelector("#billing_myfield16_field").setAttribute("style","display: block !important;");
					document.querySelector("#billing_myfield17_field").setAttribute("style","display: block !important;");
					document.querySelector("#billing_myfield18_field").setAttribute("style","display: block !important;");
					document.querySelector("#billing_myfield19_field").setAttribute("style","display: block !important;");
					document.querySelector("#billing_myfield20_field").setAttribute("style","display: block !important;");
					document.querySelector("#billing_myfield21_field").setAttribute("style","display: block !important;");
					document.querySelector("#billing_myfield22_field").setAttribute("style","display: block !important;");
				}else if(disabledAttr == null){
					console.log("NULL");
					document.querySelector("#billing_myfield16_field").setAttribute("style","display:none !important;");
					document.querySelector("#billing_myfield17_field").setAttribute("style","display:none !important;");
					document.querySelector("#billing_myfield18_field").setAttribute("style","display:none !important;");
					document.querySelector("#billing_myfield19_field").setAttribute("style","display:none !important;");
					document.querySelector("#billing_myfield20_field").setAttribute("style","display:none !important;");
					document.querySelector("#billing_myfield21_field").setAttribute("style","display:none !important;");
					document.querySelector("#billing_myfield22_field").setAttribute("style","display:none !important;");
					//document.querySelect("#").setAttribute("style","display:block;");
				}
			}
		break;
	}//switch
	
	$('p#billing_myfield14_field').ready(function(){
		$('p#billing_myfield14_field').attr('style','width: 100%;');
		$('p#billing_myfield14_field > #billing_myfield14').attr('style','width: 45%; float:left;');
		$('p#billing_myfield14_field').append('<div id="genderContainer" style="width: 45%; float: right; margin: -30px 0px 0px 0px;"><lable>Genero<abbr class="required" title="obligatorio">*</abbr></label><br/><select id="genederSelect" style=""><option value="1">Masculino</option><option value="2">Femenino</option></select></div><hr/>');
	});
	
	
	$('#billing_myfield16_field, #billing_myfield17_field, #billing_myfield18_field, #billing_myfield19_field, #billing_myfield20_field, #billing_myfield21_field, #billing_myfield22_field').fadeOut();
	
	var representantes = ["Ricardo Rodriguez","Luis Cuellar","Arturo Galnares","Adalberto Mejia","Elizabeth Mirus","Gustavo Monterrosa","Diego Rivera","Luis Alberto Vazquez","Reyna Razo","Elsie Camara","Juan Carlos Hernandez","Octavio Quiroz","Jorge Rosas","Jonnathan Villalobos"];
	var remails = ["ricardo.rodriguez3@zoetis.com","luisalberto.cuellar@zoetis.com","juanarturo.galnares@zoetis.com","adalberto.mejia@zoetis.com","elizabeth.mirus@zoetis.com","gustavo.monterrosa@zoetis.com","diego.rivera@zoetis.com","luisalberto.vazquez@zoetis.com","reyna.razo@zoetis.com","elsie.camara@zoetis.com","juancarlos.hernandez@zoetis.com","octavio.quiroz@zoetis.com","miguel.rosas@zoetis.com","jonnathan.villalobos@zoetis.com"];
	var states = ["Aguascalientes","Baja california","Baja California Sur","Campeche","Chiapas","Chihuahua","Coahuila","Colima","CDMX","Durango","Guanajuato","Guerrero","Hidalgo","Jalisco","Mexico","Michoacan","Morelos","Nayarit","Nuevo leon","Oaxaca","Puebla","Queretaro","Quintana roo","San luis potosi","Sinaloa","Sonora","Tabasco","Tamaulipas","Tlaxcala","Veracruz","Yucatan","Zacatecas"];
	
	$('#billing_phone_field').ready(function(){
		$('#billing_phone_field').next().remove();
	});
	
	$('#billing_myfield13').autocomplete({
		minLength:2,
		source: representantes,
		select: function(){
			var indexOfRepresentante = representantes.indexOf($(this).val());
			console.log(indexOfRepresentante+"=>"+remails[indexOfRepresentante]);
		}
	});
	
	$('#billing_myfield14').ready(function(){
		$('#billing_myfield14').val('18');
		$('#billing_myfield14').attr('type','number');
		$('#billing_myfield14').attr('min','18');
		$('#billing_myfield14').attr('max','99');
	});
	
	$('#select2-results-1').ready(function(){
		
		$('span.select2-match').each(function(){
			console.log($(this).text());
		});
		
		/*$('span.select2-match').text('CDMX');
		$('span.select2-match').text('CDMX');*/
	});
	
	$('#billing_myfield5').autocomplete({
		minLength:2,
		source: states
	});
	
	$('#billing_myfield15_checkbox').click(function(){
		var x = $('#billing_myfield15_checkboxhiddenfield').attr('disabled');
		if(!x){//Para requerir datos de facturas
			$('input[type="submit"]#place_order').attr('disabled','disabled');
			$('#billing_myfield16_field, #billing_myfield17_field, #billing_myfield18_field, #billing_myfield19_field, #billing_myfield20_field, #billing_myfield21_field, #billing_myfield22_field').fadeIn('slow');
		}
		//Para no requerir facturas
		else{ 
			$('input[type="submit"]#place_order').removeAttr('disabled');
			$('#billing_myfield16_field, #billing_myfield17_field, #billing_myfield18_field, #billing_myfield19_field, #billing_myfield20_field, #billing_myfield21_field, #billing_myfield22_field').fadeOut(); 
		}
	});
	
	$('#billing_myfield16').on('blur',function(){
		var x = $('#billing_myfield15_checkboxhiddenfield').attr('disabled');
		if(x){
			var val = $(this).val();
			if(val == "" || val == null ){ $(this).css({'border':'1px solid red'}); $('input[type="submit"]#place_order').attr('disabled','disabled'); }
			else{ $(this).css({'border':'1px solid #CCCCCC'}); $('input[type="submit"]#place_order').removeAttr('disabled'); }
		}else{ $(this).css({'border':'1px solid #CCCCCC'}); $('input[type="submit"]#place_order').removeAttr('disabled'); }
	});
	
	$('#billing_myfield17').on('blur',function(){
		var x = $('#billing_myfield15_checkboxhiddenfield').attr('disabled');
		if(x){
			var val = $(this).val();
			if(val == "" || val == null ){ $(this).css({'border':'1px solid red'}); $('input[type="submit"]#place_order').attr('disabled','disabled'); }
			else{ $(this).css({'border':'1px solid #CCCCCC'}); $('input[type="submit"]#place_order').removeAttr('disabled'); }
		}else{ $(this).css({'border':'1px solid #CCCCCC'}); $('input[type="submit"]#place_order').removeAttr('disabled'); }
	});
	
	$('#billing_myfield18').on('blur',function(){
		var x = $('#billing_myfield15_checkboxhiddenfield').attr('disabled');
		if(x){
			var val = $(this).val();
			if(val == "" || val == null ){ $(this).css({'border':'1px solid red'}); $('input[type="submit"]#place_order').attr('disabled','disabled'); }
			else{ $(this).css({'border':'1px solid #CCCCCC'}); $('input[type="submit"]#place_order').removeAttr('disabled'); }
		}else{ $(this).css({'border':'1px solid #CCCCCC'}); $('input[type="submit"]#place_order').removeAttr('disabled'); }
	});
	
	$('#billing_myfield19').on('blur',function(){
		var x = $('#billing_myfield15_checkboxhiddenfield').attr('disabled');
		if(x){
			var val = $(this).val();
			if(val == "" || val == null ){ $(this).css({'border':'1px solid red'}); $('input[type="submit"]#place_order').attr('disabled','disabled'); }
			else{ $(this).css({'border':'1px solid #CCCCCC'}); $('input[type="submit"]#place_order').removeAttr('disabled'); }
		}else{ $(this).css({'border':'1px solid #CCCCCC'}); $('input[type="submit"]#place_order').removeAttr('disabled'); }
	});
	
	$('#billing_myfield20').on('blur',function(){
		var x = $('#billing_myfield15_checkboxhiddenfield').attr('disabled');
		if(x){
			var val = $(this).val();
			if(val == "" || val == null ){ $(this).css({'border':'1px solid red'}); $('input[type="submit"]#place_order').attr('disabled','disabled'); }
			else{ $(this).css({'border':'1px solid #CCCCCC'}); $('input[type="submit"]#place_order').removeAttr('disabled'); }
		}else{ $(this).css({'border':'1px solid #CCCCCC'}); $('input[type="submit"]#place_order').removeAttr('disabled'); }
	});
	
	$('#billing_myfield21').on('blur',function(){
		var x = $('#billing_myfield15_checkboxhiddenfield').attr('disabled');
		if(x){
			var val = $(this).val();
			if(val == "" || val == null ){ $(this).css({'border':'1px solid red'}); $('input[type="submit"]#place_order').attr('disabled','disabled'); }
			else{ $(this).css({'border':'1px solid #CCCCCC'}); $('input[type="submit"]#place_order').removeAttr('disabled'); }
		}else{ $(this).css({'border':'1px solid #CCCCCC'}); $('input[type="submit"]#place_order').removeAttr('disabled'); }
	});
	
	$('#billing_myfield22').on('blur',function(){
		var x = $('#billing_myfield15_checkboxhiddenfield').attr('disabled');
		if(x){
			var val = $(this).val();
			if(val == "" || val == null ){ $(this).css({'border':'1px solid red'}); $('input[type="submit"]#place_order').attr('disabled','disabled'); }
			else{ $(this).css({'border':'1px solid #CCCCCC'}); $('input[type="submit"]#place_order').removeAttr('disabled'); }
		}else{ $(this).css({'border':'1px solid #CCCCCC'}); $('input[type="submit"]#place_order').removeAttr('disabled'); }
	});
	//Opciones de los estados
	$('#billing_myfield5').ready(function(){
		$('#billing_myfield5').remove();
		var options = "";
		$(states).each(function(k,v){
			options = options+"<option value='"+v+"'>"+v+"</option>";
		});
		$('#billing_myfield5_field').append('<select id="billing_myfield5">'+options+'</select>');
	});
	//Opciones de los Representantes
	$('#billing_myfield13').ready(function(){
		$('#billing_myfield13').remove();
		var options = "";
		$(representantes).each(function(k,v){
			options = options+"<option value='"+v+"'>"+v+"</option>";
		});
		$('#billing_myfield13_field').append('<select id="billing_myfield13">'+options+'</select>');
	});
	
	$('#billing_myfield5_field').ready(function(){
		$('#billing_myfield5_field > label').append('<span style="color:red;">*</span>');
	});
	$('#billing_myfield13_field').ready(function(){
		$('#billing_myfield13_field > label').append('<span style="color:red;">*</span>');
	});
	
});
</script>