<?php
/**
 * Checkout shipping information form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/checkout/form-shipping.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see     http://docs.woothemes.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.2.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>
<div class="woocommerce-shipping-fields">
	<?php if ( true === WC()->cart->needs_shipping_address() ) : ?>

		<?php
			if ( empty( $_POST ) ) {

				$ship_to_different_address = get_option( 'woocommerce_ship_to_destination' ) === 'shipping' ? 1 : 0;
				$ship_to_different_address = apply_filters( 'woocommerce_ship_to_different_address_checked', $ship_to_different_address );

			} else {

				$ship_to_different_address = $checkout->get_value( 'ship_to_different_address' );

			}
		?>

		<!--h4 id="ship-to-different-address">
			<label for="ship-to-different-address-checkbox" class="checkbox"><?php esc_html__( 'Ship to a different address?', 'ventcamp' ); ?></label>
			<input id="ship-to-different-address-checkbox" class="input-checkbox" <?php checked( $ship_to_different_address, 1 ); ?> type="checkbox" name="ship_to_different_address" value="1" />
		</h4-->

		<div class="shipping_address">

			<?php do_action( 'woocommerce_before_checkout_shipping_form', $checkout ); ?>

			<?php foreach ( $checkout->checkout_fields['shipping'] as $key => $field ) : ?>

				<?php woocommerce_form_field( $key, $field, $checkout->get_value( $key ) ); ?>

			<?php endforeach; ?>

			<?php do_action( 'woocommerce_after_checkout_shipping_form', $checkout ); ?>

		</div>

	<?php endif; ?>

	<?php do_action( 'woocommerce_before_order_notes', $checkout ); ?>

	<?php if ( apply_filters( 'woocommerce_enable_order_notes_field', get_option( 'woocommerce_enable_order_comments', 'yes' ) === 'yes' ) ) : ?>

		<?php if ( ! WC()->cart->needs_shipping() || wc_ship_to_billing_address_only() ) : ?>

			<h5 class="bold uppercase"><?php esc_html__( 'Additional Information', 'ventcamp' ); ?></h5>

		<?php endif; ?>

		<?php foreach ( $checkout->checkout_fields['order'] as $key => $field ) : ?>

			<?php woocommerce_form_field( $key, $field, $checkout->get_value( $key ) ); ?>

		<?php endforeach; ?>

	<?php endif; ?>

	<?php do_action( 'woocommerce_after_order_notes', $checkout ); ?>
	<!--MDF-->
	<!--div style="float:left; height: auto; padding: 30px 0px 0px 0px; text-align: left;">
		<p style="text-align: justify;">
			<h5> ¿Eres Distribuidor?</h5>
			<ol style="font-size: 14px; text-align: justify;">
				<li>Introduce tu datos contacto en los campos del formulario</li>
				<li>Si necesitas procesar varios registros envianos un correo a <b>info@registrozaic.com</b> con tu respectivo listado, nosotros lo hacemos por ti.</li>
				<li>Asegurate de colocar los codigos de compra para cada uno de tus registros.</li>
			</ol>
		</p>
	</div-->
	<!--MDF-->
	<!--MDF-->
	<div style="float:left; height: auto; padding: 30px 0px 0px 0px; text-align: left;">
		<p style="text-align: justify;">
			<h5>Instrucciones Generales</h5>
			<ol style="font-size: 14px; text-align: justify;">
				<li>Verifica que el concepto y el n&uacute;mero de productos que solicitas sea correcto y corresponda con el precio unitario.</li>
				<li>De no ser as&iacute; rectifica tu pedido y da click en <b>"Actualizar Pedido"</b>.</li>
				<li>Da click en Continuar</li>
			</ol>
		</p><br />
		<p style="text-align: justify;">
			<h5>Instrucciones de pago exclusivo distribuidor</h5>
			<ol style="font-size: 14px; text-align: justify;">
				<li>Si deseas procesar tus registros de manera masiva envianos un correo a <b>info@registrozaic.com</b> con el listado y los c&oacute;digos de registro</li>
				<li>Escoge el numero de registros que deseas pagar.</li>
				<li>Continua y Llena el formulario siguiente.</li>
				<li>Escoge el tipo de pago.</li>
				<li>Acepta los Terminos y Condiciones.</li>
				<li>Da click en realizar pedido.</li>
				<!--li>Si cuentas con un c&oacute;digo, introd&uacute;celo en la caja de c&oacute;digos, y da click en <b>"Aplicar C&oacute;digo"</b>.</li>
				<li>Para procesar varios c&oacute;digos realiza este proceso para cada c&oacute;digo del que dispongas.</li-->
			</ol>
		</p>
	</div>
	<!--MDF-->
</div>