<?php
/**
 * Thankyou page
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/checkout/thankyou.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.2.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( $order ) : ?>
<div class="col-md-offset-2 col-md-8 col-sm-8">
<br/>
<br/>
	<?php if ( $order->has_status( 'failed' ) ) : ?>

		<!--p class="woocommerce-thankyou-order-failed"><?php esc_html__( 'Unfortunately your order cannot be processed as the originating bank/merchant has declined your transaction. Please attempt your purchase again.', 'ventcamp' ); ?></p-->
		<p class="woocommerce-thankyou-order-failed"><?php esc_html__( 'Desafortunadamente tu registro no puede ser procesado, por favor intenta nuevamente o contactanos a info@registrozaic.com.', 'ventcamp' ); ?></p>

		<p class="woocommerce-thankyou-order-failed-actions">
			<a href="<?php echo esc_url( $order->get_checkout_payment_url() ); ?>" class="btn btn-sm pay"><?php esc_html__( 'Pay', 'ventcamp' ) ?></a>
			<!--?php /*if ( is_user_logged_in() ) :*/ ?-->
				<!--a href="<?php /*echo esc_url( wc_get_page_permalink( 'myaccount' ) );*/ ?>" class="btn btn-alt btn-sm pay"><?php /*esc_html__( 'My Account', 'ventcamp' );*/ ?></a-->
			<!--?php /*endif;*/ ?-->
		</p>

	<?php else : ?>
		<!--p class="woocommerce-thankyou-order-received"><?php echo apply_filters( 'woocommerce_thankyou_order_received_text', esc_html__( 'Thank you. Your order has been received.', 'ventcamp' ), $order ); ?></p-->
		<h4 style="color: #fe4918;"><?php echo apply_filters( 'woocommerce_thankyou_order_received_text', esc_html__( 'Gracias por Registrarte.', 'ventcamp' ), $order ); ?></h4><br />
		<ul class="woocommerce-thankyou-order-details order_details">
			<li class="order">
				<?php esc_html__( 'Numero de Registro:', 'ventcamp' ); ?>
				<strong><?php echo $order->get_order_number(); ?></strong>
			</li>
			<li class="date">
				<?php esc_html__( 'Fecha:', 'ventcamp' ); ?>
				<strong><?php echo date_i18n( get_option( 'date_format' ), strtotime( $order->order_date ) ); ?></strong>
			</li>
			<li class="total">
				<?php esc_html__( 'Total:', 'ventcamp' ); ?>
				<strong><?php echo $order->get_formatted_order_total(); ?></strong>
			</li>
			<?php if ( $order->payment_method_title ) : ?>
			<li class="method">
				<?php esc_html__( 'Metodo de Pago:', 'ventcamp' ); ?>
				<strong><?php echo $order->payment_method_title; ?></strong>
			</li>
			<?php endif; ?>
		</ul>
		<div class="clear"></div>

	<?php endif; ?>

	<?php do_action( 'woocommerce_thankyou_' . $order->payment_method, $order->id ); ?>
	<?php do_action( 'woocommerce_thankyou', $order->id ); ?>
	<p><br /></p>
	<div class="row">
		<div class="col-md-12">
			<div class="center-block" style="width: 220px;">
				<a class="btn btn-lg" href="/">ZAIC</a>
			</div>
		</div>
	</div>
<?php else : ?>

	<p class="woocommerce-thankyou-order-received"><?php echo apply_filters( 'woocommerce_thankyou_order_received_text', esc_html__( 'Gracias por Registrarte.', 'ventcamp' ), null ); ?></p>
	<br/>
	<br/>
</div>
<?php endif; ?>
