<?php
/**
 * Order details
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/order/order-details.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.5.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$order = wc_get_order( $order_id );

$show_purchase_note = $order->has_status( apply_filters( 'woocommerce_purchase_note_order_statuses', array( 'completed', 'processing' ) ) );
?>
<p style="text-align: justify;">
	<b>Banco:</b> Santander<br />
	<b>Direccion:</b> Anatole France 109 Col. Polanco C.P. 11560<br />
	<b>Beneficiario:</b> Sat Business Travel S.A. de C.V.<br />
	<b>Cuenta:</b> 65503217040<br />
	<b>Clabe:</b> 014180655032170405<br />
	<b>REF:</b> ZAIC		
</p>
<h4><?php esc_html__( 'Order Details', 'ventcamp' ); ?></h4>
<table class="shop_table order_details">
	<thead>
		<tr>
			<th class="product-name"><?php esc_html__( 'Product', 'ventcamp' ); ?></th>
			<th class="product-total"><?php esc_html__( 'Total', 'ventcamp' ); ?></th>
		</tr>
	</thead>
	<tbody>
		<?php
			foreach( $order->get_items() as $item_id => $item ) {
				$product = apply_filters( 'woocommerce_order_item_product', $order->get_product_from_item( $item ), $item );
				$purchase_note = get_post_meta( $product->id, '_purchase_note', true );

				wc_get_template( 'order/order-details-item.php', array(
					'order'					=> $order,
					'item_id'				=> $item_id,
					'item'					=> $item,
					'show_purchase_note'	=> $show_purchase_note,
					'purchase_note'			=> $purchase_note,
					'product'				=> $product,
				) );
			}
		?>
		<?php do_action( 'woocommerce_order_items_table', $order ); ?>
	</tbody>
	<tfoot>
		<?php
			foreach ( $order->get_order_item_totals() as $key => $total ) {
				?>
				<tr>
					<th scope="row"><?php echo $total['label']; ?></th>
					<td><?php echo $total['value']; ?></td>
				</tr>
				<?php
			}
		?>
	</tfoot>
</table>

<?php do_action( 'woocommerce_order_details_after_order_table', $order ); ?>

<?php wc_get_template( 'order/order-details-customer.php', array( 'order' =>  $order ) ); ?>
<p style="text-align: justify; font-weight: bold; color:#000;">
	Recuerda enviar tu ficha de deposito con la referencia de tu orden al correo info@registrozaic.com, en caso de requerir factura no olvides proporcionar tus datos fiscales, la cual te sera enviada en un lapso de 24hrs. en dias habiles, consulta nuestra <a target="_blank" href="http://registrozaic.com/terminos-y-condiciones/">Politica de Proteccion de Datos</a>.
</p>