<?php
/**
 * Single Product Image
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/product-image.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.14
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $post, $woocommerce, $product;

?>
<div class="images">

	<?php 
		if ( has_post_thumbnail() ) {

			$image_title 	= esc_attr( get_the_title( get_post_thumbnail_id() ) );
			$image_caption 	= get_post( get_post_thumbnail_id() )->post_excerpt;
			$image_link  	= wp_get_attachment_url( get_post_thumbnail_id() );
			$image       	= get_the_post_thumbnail( $post->ID, apply_filters( 'single_product_large_thumbnail_size', 'shop_single' ), array(
				'title'	=> $image_title,
				'alt'	=> $image_title
				) );

			$attachment_count = count( $product->get_gallery_attachment_ids() );

			if ( $attachment_count > 0 ) {
				$gallery = '[product-gallery]';
			} else {
				$gallery = '';
			}

			echo apply_filters( 'woocommerce_single_product_image_html', sprintf( '<a id="imageProduct'.$post->ID.'" href="%s" itemprop="image" class="woocommerce-main-image zoom" title="%s" data-rel="prettyPhoto' . $gallery . '">%s</a>', $image_link, $image_caption, $image ), $post->ID );
			//echo $post->ID."=>".wp_get_attachment_url( get_post_thumbnail_id() );
		} else {

			echo apply_filters( 'woocommerce_single_product_image_html', sprintf( '<img src="%s" alt="%s" />', wc_placeholder_img_src(), esc_html__( 'Placeholder', 'ventcamp' ) ), $post->ID );

		}
	?>

	<?php do_action( 'woocommerce_product_thumbnails' ); ?>
	
</div>
<script>
var Navegadores = ["MSIE", "Firefox", "Safari", "Chrome", "Opera"];

function obtenerIdNavegador() {
    var aKeys = ["MSIE", "Firefox", "Safari", "Chrome", "Opera"];
	sUsrAg = navigator.userAgent, nIdx = aKeys.length - 1;
	
	for (nIdx; nIdx > -1 && sUsrAg.indexOf(aKeys[nIdx]) === -1; nIdx--);
	return nIdx;
}

var indiceNavegador = obtenerIdNavegador();
var Navegador = Navegadores[indiceNavegador];
$(document).ready(function(){
	//Cambio de imgs dimensionadas.
	switch(Navegador){
		case "Firefox":
		case "Safari":
		case "Chrome":
		case "Opera":
			$('a#imageProduct<?=$post->ID?> > img').ready(function(){
				var srcORG = $('a#imageProduct<?=$post->ID?> > img').attr('src');
				var srcMDF = srcORG.replace("-600x600","");
				$('a#imageProduct<?=$post->ID?> > img').attr('src',srcMDF);
				$('a#imageProduct<?=$post->ID?> > img').removeAttr('srcset');
			});
		break;
		case "MSIE":
		default:
			var aImgsChilds = document.getElementById('imageProduct<?=$post->ID?>').childNodes;
			var srcORG = aImgsChilds[0].getAttribute("src");
			var srcMDF = srcORG.replace("-600x600","");
			aImgsChilds[0].setAttribute("src",srcMDF);
		break;
	}
	
});
</script>
